<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_permsandprivacy.php                      */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 13, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update config ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['sent']))
{
	$AMV_update = AMS_sql_query("UPDATE $_AMVconfig[tbl_config] SET  cfg_date_dateformat     = '".$HTTP_POST_VARS['cfg_date_dateformat']."',
                                                                         cfg_date_timeformat     = '".$HTTP_POST_VARS['cfg_date_timeformat']."',
                                                                         cfg_date_datetimeformat = '".$HTTP_POST_VARS['cfg_date_datetimeformat']."',
                                                                         cfg_date_uonlinedate    = '".$HTTP_POST_VARS['cfg_date_uonlinedate']."',
                                                                         cfg_date_timezone       = '".$HTTP_POST_VARS['cfg_date_timezone']."'", $_AMVconfig['sql_connect']);
	if(isset($AMV_update))
	{
		$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}

	// --> BEGIN loading user configuration ---------------------------------------------------------------------------------------------------
	$_AMVusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_config']."",$_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	// <-- END loading user configuration -----------------------------------------------------------------------------------------------------
}
// <-- END update config ------------------------------------------------------------------------------------------------------------------


// --> BEGIN timezone pulldown ------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AMV_obj_timezonepulldown']))
{
	$AMV_timezonecurrentvalue = $HTTP_POST_VARS['AMV_obj_timezonepulldown'];
}
elseif(isset($HTTP_GET_VARS['AMV_obj_catpulldown']))
{
	$AMV_timezonecurrentvalue = $HTTP_GET_VARS['AMV_obj_timezonepulldown'];
}
else
{
	$AMV_timezonecurrentvalue = "$_AMVusrcfg[cfg_date_timezone]";
}

$_AMV_obj_timezonepulldown  ='<select name="cfg_date_timezone" class="AMTselectfield">';
$_AMV_obj_timezonepulldown .='<option value="-12"';
if($AMV_timezonecurrentvalue == '-12') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 12 </option>';
$_AMV_obj_timezonepulldown .='<option value="-11"';
if($AMV_timezonecurrentvalue == '-11') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 11 </option>';
$_AMV_obj_timezonepulldown .='<option value="-10"';
if($AMV_timezonecurrentvalue == '-10') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 10 </option>';
$_AMV_obj_timezonepulldown .='<option value="-9"';
if($AMV_timezonecurrentvalue == '-9') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 9 </option>';
$_AMV_obj_timezonepulldown .='<option value="-8"';
if($AMV_timezonecurrentvalue == '-8') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 8 </option>';
$_AMV_obj_timezonepulldown .='<option value="-7"';
if($AMV_timezonecurrentvalue == '-7') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 7 </option>';
$_AMV_obj_timezonepulldown .='<option value="-6"';
if($AMV_timezonecurrentvalue == '-6') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 6 </option>';
$_AMV_obj_timezonepulldown .='<option value="-5"';
if($AMV_timezonecurrentvalue == '-5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 5 </option>';
$_AMV_obj_timezonepulldown .='<option value="-4"';
if($AMV_timezonecurrentvalue == '-4') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 4 </option>';
$_AMV_obj_timezonepulldown .='<option value="-3.5"';
if($AMV_timezonecurrentvalue == '-3.5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 3.5 </option>';
$_AMV_obj_timezonepulldown .='<option value="-3"';
if($AMV_timezonecurrentvalue == '-3') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 3 </option>';
$_AMV_obj_timezonepulldown .='<option value="-2"';
if($AMV_timezonecurrentvalue == '-2') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 2 </option>';
$_AMV_obj_timezonepulldown .='<option value="-1"';
if($AMV_timezonecurrentvalue == '-1') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT - 1 </option>';
$_AMV_obj_timezonepulldown .='<option value="0"';
if($AMV_timezonecurrentvalue == '0') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT</option>';
$_AMV_obj_timezonepulldown .='<option value="1"';
if($AMV_timezonecurrentvalue == '1') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 1</option>';
$_AMV_obj_timezonepulldown .='<option value="2"';
if($AMV_timezonecurrentvalue == '2') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 2 </option>';
$_AMV_obj_timezonepulldown .='<option value="3"';
if($AMV_timezonecurrentvalue == '3') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 3 </option>';
$_AMV_obj_timezonepulldown .='<option value="3.5"';
if($AMV_timezonecurrentvalue == '3.5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 3.5 </option>';
$_AMV_obj_timezonepulldown .='<option value="4"';
if($AMV_timezonecurrentvalue == '4') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 4 </option>';
$_AMV_obj_timezonepulldown .='<option value="4.5"';
if($AMV_timezonecurrentvalue == '4.5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 4.5 </option>';
$_AMV_obj_timezonepulldown .='<option value="5"';
if($AMV_timezonecurrentvalue == '5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 5 </option>';
$_AMV_obj_timezonepulldown .='<option value="5.5"';
if($AMV_timezonecurrentvalue == '5.5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 5.5 </option>';
$_AMV_obj_timezonepulldown .='<option value="6"';
if($AMV_timezonecurrentvalue == '6') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 6 </option>';
$_AMV_obj_timezonepulldown .='<option value="6.5"';
if($AMV_timezonecurrentvalue == '6.5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 6.5 </option>';
$_AMV_obj_timezonepulldown .='<option value="7"';
if($AMV_timezonecurrentvalue == '7') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 7 </option>';
$_AMV_obj_timezonepulldown .='<option value="8"';
if($AMV_timezonecurrentvalue == '8') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 8 </option>';
$_AMV_obj_timezonepulldown .='<option value="9"';
if($AMV_timezonecurrentvalue == '9') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 9 </option>';
$_AMV_obj_timezonepulldown .='<option value="9.5"';
if($AMV_timezonecurrentvalue == '9.5') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 9.5 </option>';
$_AMV_obj_timezonepulldown .='<option value="10"';
if($AMV_timezonecurrentvalue == '10') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 10 </option>';
$_AMV_obj_timezonepulldown .='<option value="11"';
if($AMV_timezonecurrentvalue == '11') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 11 </option>';
$_AMV_obj_timezonepulldown .='<option value="12"';
if($AMV_timezonecurrentvalue == '12') $_AMV_obj_timezonepulldown .='selected';
$_AMV_obj_timezonepulldown .='>GMT + 12 </option>';
$_AMV_obj_timezonepulldown .='</select>';
// <-- END timezone pulldown --------------------------------------------------------------------------------------------------------------


// --> BEGIN template ---------------------------------------------------------------------------------------------------------------------
$AMV_date_get = require_once("".$_AMVconfig['cfg_serverpath']."/include/template.inc.php");
$AMV_date_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_date.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_date_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_date_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_date_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_date_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_date_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_date_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_date_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN templating text ------------------------------------------------------------------------------------------------------
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_headline',                ""._admin_configdate_headline_.""); 
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_dateformat',              ""._admin_configdate_dateformat_."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_timeformat',              ""._admin_configdate_timeformat_."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_datetimeformat',          ""._admin_configdate_datetimeformat_."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_uonlineformat',           ""._admin_configdate_uonlineformat_."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_gmtadapt',                ""._admin_configdate_gmtadapt_."");
	// <-- END templating text --------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN templating value -----------------------------------------------------------------------------------------------------
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_dateformatV',             "".$_AMVusrcfg['cfg_date_dateformat']."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_timeformatV',             "".$_AMVusrcfg['cfg_date_timeformat']."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_datetimeformatV',         "".$_AMVusrcfg['cfg_date_datetimeformat']."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_uonlineformatV',          "".$_AMVusrcfg['cfg_date_uonlinedate']."");
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_dateformatD',             AMP_setdate($_AMVusrcfg['cfg_date_dateformat'],$_AMVconfig['date_countflag'],$_AMVusrcfg['cfg_date_timezone']));
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_timeformatD',             AMP_setdate($_AMVusrcfg['cfg_date_timeformat'],$_AMVconfig['date_countflag'],$_AMVusrcfg['cfg_date_timezone']));
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_datetimeformatD',         AMP_setdate($_AMVusrcfg['cfg_date_datetimeformat'],$_AMVconfig['date_countflag'],$_AMVusrcfg['cfg_date_timezone']));
	$AMV_date_tpl -> AMT_assign('AMV_admin_configdate_uonlineformatD',          AMP_setdate($_AMVusrcfg['cfg_date_uonlinedate'],$_AMVconfig['date_countflag'],$_AMVusrcfg['cfg_date_timezone']));	
	$AMV_date_tpl -> AMT_assign('AMV_obj_timezonepulldown',                     "$_AMV_obj_timezonepulldown");
	// <-- END templating value -------------------------------------------------------------------------------------------------------
	
	
$AMV_date_tpl -> AMT_tpl_print();
// <-- END template -----------------------------------------------------------------------------------------------------------------------
?>