<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_stat_activation.php                      */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jun 13, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN activation -------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['active']))
{
	$AMV_entry = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_statmodules']." WHERE statmodule_id='".$HTTP_GET_VARS['active']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);	
	if($AMV_entry['statmodule_default'] == '1' && $HTTP_GET_VARS['status'] == '0')
	{
       		$AMV_info_info         = ""._admin_cfg_stat_activation_info_defaultnot0_."";
		$AMV_info_description  = ""._admin_cfg_stat_activation_info_defaultnot0desc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	else
	{
		$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_statmodules']." SET statmodule_active = '".$HTTP_GET_VARS['status']."' WHERE statmodule_id='".$HTTP_GET_VARS['active']."'", $_AMVconfig['sql_connect']);
		if(isset($AMV_update))
		{
	       		$AMV_info_info         = ""._admin_global_info_updated_."";
			$AMV_info_description  = ""._admin_global_info_updateddesc_."";
			if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}			
		}
	}
}
// --> END activation ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN default ----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['default']))
{
	$AMV_update1 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_statmodules']." SET statmodule_default = '0'", $_AMVconfig['sql_connect']);
	$AMV_update2 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_statmodules']." SET statmodule_default = '1' WHERE statmodule_id='".$HTTP_GET_VARS['default']."'", $_AMVconfig['sql_connect']);
	if(isset($AMV_update1) && isset($AMV_update2))
	{
	       	$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
}
// --> END default ------------------------------------------------------------------------------------------------------------------------


// --> BEGIN module up --------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['moduleup']))
{
	$AMV_moduleup = AMS_sql_query("SELECT statmodule_order
	                                FROM   ".$_AMVconfig['tbl_statmodules']."
	                                WHERE  statmodule_id = '".$HTTP_GET_VARS['moduleup']."'", $_AMVconfig['sql_connect']);
	$AMV_moduleup = AMS_sql_fetch_array($AMV_moduleup, $_AMVconfig['sql_connect']);
	if($AMV_moduleup['statmodule_order'] == '1')
	{
       		$AMV_error_error         = ""._admin_cfg_stat_activation_error_highest_."";
		$AMV_error_description   = ""._admin_cfg_stat_activation_error_highestdesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	else
	{
		$AMV_oldordernr = $AMV_moduleup['statmodule_order'] - 1;
		$AMV_update1 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_statmodules']." SET statmodule_order = statmodule_order+1 WHERE statmodule_order='".$AMV_oldordernr."'", $_AMVconfig['sql_connect']);
		$AMV_update2 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_statmodules']." SET statmodule_order = statmodule_order-1 WHERE statmodule_id = '".$HTTP_GET_VARS['moduleup']."'", $_AMVconfig['sql_connect']);

	}
}
// <-- END module up ----------------------------------------------------------------------------------------------------------------------


// --> BEGIN permission -------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['permission']))
{
	$AMV_entry = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_statmodules']." WHERE statmodule_id='".$HTTP_GET_VARS['permission']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);	
	if($AMV_entry['statmodule_default'] == '1' && $HTTP_GET_VARS['permission'] != '0')
	{
       		$AMV_info_info         = ""._admin_cfg_stat_activation_info_defaultnopchange_."";
		$AMV_info_description  = ""._admin_cfg_stat_activation_info_defaultnopchangedesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	else
	{
		$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_statmodules']." SET statmodule_permission = '".$HTTP_GET_VARS['status']."' WHERE statmodule_id='".$HTTP_GET_VARS['permission']."'", $_AMVconfig['sql_connect']);
		if(isset($AMV_update))
		{
	       		$AMV_info_info         = ""._admin_global_info_updated_."";
			$AMV_info_description  = ""._admin_global_info_updateddesc_."";
			if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}			
		}
	}
	
}
// --> END permission ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN template header --------------------------------------------------------------------------------------------------------------
$AMV_cfg_stat_activation_header_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_activation_header.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_headline',      ""._admin_cfg_stat_activation_headline_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_image',         ""._admin_cfg_stat_activation_image_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_name',          ""._admin_cfg_stat_activation_name_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_file',          ""._admin_cfg_stat_activation_file_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_active',        ""._admin_cfg_stat_activation_active_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_permission',    ""._admin_cfg_stat_activation_permission_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_default',       ""._admin_cfg_stat_activation_default_."");
	$AMV_cfg_stat_activation_header_tpl -> AMT_assign('AMV_admin_cfg_stat_activation_order',         ""._admin_cfg_stat_activation_order_."");
	
$AMV_cfg_stat_activation_header_tpl -> AMT_tpl_print();

// <-- END template header ----------------------------------------------------------------------------------------------------------------


// --> BEGIN template body ----------------------------------------------------------------------------------------------------------------
$AMTclass = "AMTbodybg";
$AMV_stat_activation_get = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_statmodules']." ORDER BY statmodule_order", $_AMVconfig['sql_connect']);
while($AMV_module = AMS_sql_fetch_array($AMV_stat_activation_get, $_AMVconfig['sql_connect']))
{
	if($AMV_module['statmodule_default'] == '1'){
		$AMV_default1 = "<b>";
		$AMV_default2 = "</b>";
	} else {
		$AMV_default1 = "";
		$AMV_default2 = "";
	}
	if($AMV_module['statmodule_active'] == '1')     $AMV_module['statmodule_active']     = "<a href=\"cfg_stat_activation.php?active=".$AMV_module['statmodule_id']."&status=0\">".$AMV_module['statmodule_active']."</a>";
	if($AMV_module['statmodule_active'] == '0')     $AMV_module['statmodule_active']     = "<a href=\"cfg_stat_activation.php?active=".$AMV_module['statmodule_id']."&status=1\">".$AMV_module['statmodule_active']."</a>";
	if($AMV_module['statmodule_default'] == '0')    $AMV_module['statmodule_default']    = "<a href=\"cfg_stat_activation.php?default=".$AMV_module['statmodule_id']."\">".$AMV_module['statmodule_default']."</a>";
	if($AMV_module['statmodule_permission'] == '0') $AMV_module['statmodule_permission'] = "<a href=\"cfg_stat_activation.php?permission=".$AMV_module['statmodule_id']."&status=1\">".$AMV_module['statmodule_permission']."</a>";
	if($AMV_module['statmodule_permission'] == '1') $AMV_module['statmodule_permission'] = "<a href=\"cfg_stat_activation.php?permission=".$AMV_module['statmodule_id']."&status=2\">".$AMV_module['statmodule_permission']."</a>";
	if($AMV_module['statmodule_permission'] == '2') $AMV_module['statmodule_permission'] = "<a href=\"cfg_stat_activation.php?permission=".$AMV_module['statmodule_id']."&status=0\">".$AMV_module['statmodule_permission']."</a>";
	

	$AMV_cfg_stat_activation_body_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_activation_body.tpl.html", __FILE__, __LINE__);
	
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_id',         "".$AMV_module['statmodule_id']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_order',      "".$AMV_module['statmodule_order']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_active',     "".$AMV_module['statmodule_active']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_default',    "".$AMV_module['statmodule_default']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_name',       constant($AMV_module['statmodule_name']));
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_image',      "".$AMV_module['statmodule_image']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_openvar',    "".$AMV_module['statmodule_openvar']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_file',       "".$AMV_module['statmodule_file']."");
		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMV_admin_cfg_statmodule_permission', "".$AMV_module['statmodule_permission']."");

		$AMV_cfg_stat_activation_body_tpl -> AMT_assign('AMTclass',                           "".$AMTclass."");
	$AMV_cfg_stat_activation_body_tpl -> AMT_tpl_print();

	if($AMTclass =="AMTbodybg"){ $AMTclass="AMTbodybglight"; } else { $AMTclass = "AMTbodybg"; }	
}
// <-- END template body ------------------------------------------------------------------------------------------------------------------


// --> BEGIN template footer --------------------------------------------------------------------------------------------------------------
$AMV_cfg_stat_activation_footer_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_activation_footer.tpl.html", __FILE__, __LINE__);
	
	$AMV_cfg_stat_activation_footer_tpl -> AMT_assign('',  "");

$AMV_cfg_stat_activation_footer_tpl -> AMT_tpl_print();
// <-- END template footer ----------------------------------------------------------------------------------------------------------------
?>