<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_stat_blocking.php                        */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : JUN 11, 2004                                         */
/*                                                                      */
/************************************************************************/


if(!isset($AMV_runchild))
{
	// --> BEGIN including config -----------------------------------------------------------------------------------------------------
	if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
	{	
		die("can not load <i>config.inc.php</i> so I will die now!");
	}
	// <-- END including config -------------------------------------------------------------------------------------------------------
	
	// --> BEGIN including code_header ------------------------------------------------------------------------------------------------
	if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
	{	
		die("can not load <i>code_header.inc.php</i> so I will die now!");
	}
	// <-- END including code_header --------------------------------------------------------------------------------------------------

	$AMV_stat_blocking_header_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_blocking_header.html", __FILE__, __LINE__);
		// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
		$AMV_stat_blocking_header_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AMV_stat_blocking_header_tpl -> AMT_tpl_print();

}
else
{
	if($AMV_runchild == "referer")
	{
		$AMV_blocking_disp_where = "blockedvalues_section = 'referer'";
	}
	if($AMV_runchild == "useragent")
	{
		$AMV_blocking_disp_where = "blockedvalues_section = 'useragent'";
	}
}


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN sign in ----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['cfg_blocking_sent']))
{
	if(!empty($HTTP_POST_VARS['AMV_blockingtype']) &&
	   !empty($HTTP_POST_VARS['AMV_blockingvalue']))
	{
		$AMV_update = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_blockedvalues']."
		                             VALUES      ('','".$HTTP_POST_VARS['AMV_blockingtype']."','".$HTTP_POST_VARS['AMV_blockingvalue']."','0','0')", $_AMVconfig['sql_connect']);
		if(isset($AMV_update))
		{
	       		$AMV_info_info         = ""._admin_global_info_updated_."";
			$AMV_info_description  = ""._admin_global_info_updateddesc_."";
			if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
	}
}
// <-- END sign in ------------------------------------------------------------------------------------------------------------------------


// --> BEGIN delete -----------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['delete']) && is_numeric($HTTP_GET_VARS['delete']))
{
	$AMV_delete = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_blockedvalues']."
	                             WHERE       blockedvalues_id = '".$HTTP_GET_VARS['delete']."'", $_AMVconfig['sql_connect']);
	if(isset($AMV_delete))
	{
       		$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
}
// <-- END delete -------------------------------------------------------------------------------------------------------------------------


// --> BEGIN display blocked values -------------------------------------------------------------------------------------------------------


// --> BEGIN templating header ------------------------------------------------------------------------------------------------------------
$AMV_stat_blocking_disp_header_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_blocking_disp_header.html", __FILE__, __LINE__);
	$AMV_stat_blocking_disp_header_tpl -> AMT_assign('',                     "");
$AMV_blocking_disp = $AMV_stat_blocking_disp_header_tpl -> AMT_tpl_var();
// <-- END templating header --------------------------------------------------------------------------------------------------------------


// --> BEGIN templating body --------------------------------------------------------------------------------------------------------------
if(!isset($AMV_blocking_disp_where)) $AMV_blocking_disp_where = "1";
$AMV_query = AMS_sql_query("SELECT    * 
                            FROM      ".$_AMVconfig['tbl_blockedvalues']."
                            WHERE     ".@$AMV_blocking_disp_where."
                            ORDER BY  blockedvalues_section", $_AMVconfig['sql_connect']);

$AMT_class="AMTbodybg";
while($AMV_array = AMS_sql_fetch_array($AMV_query, $_AMVconfig['sql_connect']))
{
	$AMV_stat_blocking_disp_body_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_blocking_disp_body.html", __FILE__, __LINE__);
		// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals -----------------------------------------------------------------------------------------------------
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_blocked_id',        "".$AMV_array['blockedvalues_id']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_blocked_type',      "".$AMV_array['blockedvalues_section']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_blocked_value',     "".$AMV_array['blockedvalues_value']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_blocked_hits',      "".$AMV_array['blockedvalues_hits']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_blocked_visitors',  "".$AMV_array['blockedvalues_visitors']."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMT_class',             "".$AMT_class."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_delete_blocked',    ""._admin_global_deleteconfirm_."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_blocked_delete',    ""._admin_global_delete_."");
		$AMV_stat_blocking_disp_body_tpl -> AMT_assign('AMV_file',              "".$HTTP_SERVER_VARS['PHP_SELF']."");
	$AMV_blocking_disp .= $AMV_stat_blocking_disp_body_tpl -> AMT_tpl_var();
	if($AMT_class == "AMTbodybg"){ $AMT_class="AMTbbodybglight"; } else { $AMT_class ="AMTbodybg"; }
}
// <-- END templating body ----------------------------------------------------------------------------------------------------------------


// --> BEGIN templating footer ------------------------------------------------------------------------------------------------------------
$AMV_stat_blocking_disp_footer_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_blocking_disp_footer.html", __FILE__, __LINE__);
	$AMV_stat_blocking_disp_footer_tpl -> AMT_assign('',                     "");
$AMV_blocking_disp .= $AMV_stat_blocking_disp_footer_tpl -> AMT_tpl_var();
// <-- END templating footer --------------------------------------------------------------------------------------------------------------


// <-- END display blocked values ---------------------------------------------------------------------------------------------------------


// --> BEGIN block add --------------------------------------------------------------------------------------------------------------------


// --> BEGIN creating vars ----------------------------------------------------------------------------------------------------------------
if(isset($AMV_runchild) && $AMV_runchild == "referer")  {$AMV_blockingtype_referer = "selected";$AMV_blockingtype_useragent = "";         $AMV_blockingtype_ipadr = "";         }
if(isset($AMV_runchild) && $AMV_runchild == "useragent"){$AMV_blockingtype_referer = "";        $AMV_blockingtype_useragent = "selected"; $AMV_blockingtype_ipadr = "";         }
if(isset($AMV_runchild) && $AMV_runchild == "ipadr")    {$AMV_blockingtype_referer = "";        $AMV_blockingtype_useragent = "";         $AMV_blockingtype_ipadr = "selected"; }
if(isset($AMV_runchild)) { $AMV_runchild_disp = "none"; } else { $AMV_runchild_disp = "inline"; }
if(!isset($AMV_runchild)){ $AMV_blockingtype_referer = "";        $AMV_blockingtype_useragent = "";         $AMV_blockingtype_ipadr = ""; }
// <-- END creating vars ------------------------------------------------------------------------------------------------------------------


// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_stat_blocking_add_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_blocking_add.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_blockingtype_referer',             "".$AMV_blockingtype_referer."");
 	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_blockingtype_useragent',           "".$AMV_blockingtype_useragent.""); 
 	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_blockingtype_ipadr',               "".$AMV_blockingtype_ipadr."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_runchild_disp',                    "".$AMV_runchild_disp."");
        
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_admin_cfg_stat_blocking_headline', ""._admin_cfg_stat_blocking_headline_."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_admin_cfg_stat_blocking_type',     ""._admin_cfg_stat_blockingclean_type_."");
	$AMV_stat_blocking_add_tpl -> AMT_assign('AMV_admin_cfg_stat_blocking_value',    ""._admin_cfg_stat_blockingclean_value_."");

$AMV_blocking_add = $AMV_stat_blocking_add_tpl -> AMT_tpl_var();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------


// <-- END block add --------------------------------------------------------------------------------------------------------------------

if(!isset($AMV_runchild))
{
	echo $AMV_blocking_disp.$AMV_blocking_add;
}
else
{
	$AMV_blocking = $AMV_blocking_disp.$AMV_blocking_add;
}
?>