<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/db_clean.php                                 */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : JUN 11, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------


// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------

// --> BEGIN cleaning ---------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AMV_deleteentries']))
{
	if($HTTP_POST_VARS['AMV_deleteentries'] == 'referer')
	{
		$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_referer']." WHERE referer_".$HTTP_POST_VARS['type']." < ".$HTTP_POST_VARS['AMV_deleteentries_count']." AND referer_date <= ".$_AMVconfig['date_countflag']."-".$HTTP_POST_VARS['AMV_deleteentries_date']."", $_AMVconfig['sql_connect']); 
	}
	if($HTTP_POST_VARS['AMV_deleteentries'] == 'useragents')
	{
		$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_referer']." WHERE referer_".$HTTP_POST_VARS['type']." < ".$HTTP_POST_VARS['AMV_deleteentries_count']." AND referer_date <= ".$_AMVconfig['date_countflag']."-".$HTTP_POST_VARS['AMV_deleteentries_date']."", $_AMVconfig['sql_connect']); 
	}
}
if(isset($AMV_update))
{
       	$AMV_info_info         = ""._admin_global_info_updated_."";
	$AMV_info_description  = ""._admin_global_info_updateddesc_."";
	if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
	{	
		die("can not load <i>info.inc.php</i> so I will die now!");
	}   		
}
// <-- END cleaning -----------------------------------------------------------------------------------------------------------------------


// --> BEGIN create section ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_GET_VARS['type']) && $HTTP_GET_VARS['type'] == 'referer')    { $AMV_db_clean_disp_referer = '<option value="referer">table/referer</option>';       $AMV_db_clean_disp_useragents = '';   }
if(isset($HTTP_GET_VARS['type']) && $HTTP_GET_VARS['type'] == 'useragents') { $AMV_db_clean_disp_referer = ''; $AMV_db_clean_disp_useragents = '<option value="useragents">table/useragents</option>'; }

if(isset($HTTP_POST_VARS['type']) && $HTTP_POST_VARS['type'] == 'referer')    { $AMV_db_clean_disp_referer = '<option value="referer">table/referer</option>';       $AMV_db_clean_disp_useragents = '';   }
if(isset($HTTP_POST_VARS['type']) && $HTTP_POST_VARS['type'] == 'useragents') { $AMV_db_clean_disp_referer = ''; $AMV_db_clean_disp_useragents = '<option value="useragents">table/useragents</option>'; }

if(!isset($AMV_db_clean_disp_referer)) $AMV_db_clean_disp_referer = '<option value="referer">table/referer</option>';
if(!isset($AMV_db_clean_disp_useragents)) $AMV_db_clean_disp_useragents = '<option value="useragents">table/useragents</option>';
// <-- END create section -----------------------------------------------------------------------------------------------------------------


// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_db_clean_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_db_clean.tpl.html", __FILE__, __LINE__);
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_headline',       ""._admin_db_clean_headline_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_deletefrom',     ""._admin_db_clean_deletefrom_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_whocount',       ""._admin_db_clean_whocount_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_whocounth',      ""._admin_db_clean_whocounth_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_whocountv',      ""._admin_db_clean_whocountv_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_whocounth_less', ""._admin_db_clean_whocounth_less_."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_admin_db_clean_wheredate',      ""._admin_db_clean_wheredate_."");

	$AMV_db_clean_tpl -> AMT_assign('AMV_db_clean_disp_referer',         "".$AMV_db_clean_disp_referer."");
	$AMV_db_clean_tpl -> AMT_assign('AMV_db_clean_disp_useragents',      "".$AMV_db_clean_disp_useragents."");
$AMV_db_clean_tpl -> AMT_tpl_print();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------