<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/db_export.php                                */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 14, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


if(isset($HTTP_POST_VARS['sent']))
{
	if(isset($HTTP_POST_VARS['AMV_exporttype']) && $HTTP_POST_VARS['AMV_exporttype'] == 'AMV_admin_db_export_complete')
	{
		$AMV_dateonly = AMP_setdate('j-m-y', $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
		header("Content-disposition: filename=".$_AMVconfig['cfg_scriptname']."".$_AMVconfig['cfg_scriptversion']."-BACKUP_complete-".$AMV_dateonly.".sql");
		header("Content-type: application/octetstream");
		header("Pragma: no-cache");
		header("Expires: 0");
	
		if(ereg('[^(]*\((.*)\)[^)]*',$_AMVconfig['env_HTTP_USER_AGENT'],$regs)) 
		{
		$os = $regs[1];
			if (eregi("Win",$os)) 
		    $crlf="\r\n";
		}
		
		$AMV_tables = array("tbl_user"               => "".$_AMVconfig['tbl_user']."",
		                    "tbl_bots"               => "".$_AMVconfig['tbl_bots']."",
                                    "tbl_browseros"          => "".$_AMVconfig['tbl_browseros']."",
                                    "tbl_dayaccess"          => "".$_AMVconfig['tbl_dayaccess']."",
                                    "tbl_displayres"         => "".$_AMVconfig['tbl_displayres']."",
                                    "tbl_visitors"           => "".$_AMVconfig['tbl_visitors']."",
                                    "tbl_blockeduser"        => "".$_AMVconfig['tbl_blockeduser']    ."",
                                    "tbl_blockedvalues"      => "".$_AMVconfig['tbl_blockedvalues']."",
                                    "tbl_online"             => "".$_AMVconfig['tbl_online']."",
                                    "tbl_maxdata"            => "".$_AMVconfig['tbl_maxdata']."",
                                    "tbl_config"             => "".$_AMVconfig['tbl_config']."",
                                    "tbl_useragents"         => "".$_AMVconfig['tbl_useragents']."",
                                    "tbl_pageviews"          => "".$_AMVconfig['tbl_pageviews']."",
                                    "tbl_referer"            => "".$_AMVconfig['tbl_referer']."",
                                    "tbl_languages"          => "".$_AMVconfig['tbl_languages']."",
                                    "tbl_detailhour"         => "".$_AMVconfig['tbl_detailhour']."",
                                    "tbl_detailday"          => "".$_AMVconfig['tbl_detailday']."",
                                    "tbl_detailweek"         => "".$_AMVconfig['tbl_detailweek']."",
                                    "tbl_detailmonth"        => "".$_AMVconfig['tbl_detailmonth']."",
                                    "tbl_detailyear"         => "".$_AMVconfig['tbl_detailyear']."");
		
		$i = 0;
		print "# =============================================================$crlf";
		print "#$crlf";
		print "# Db Dump file: ".$_AMVconfig['cfg_scriptname']."".$_AMVconfig['cfg_scriptversion']." $crlf";
		print "# Backup date: ".$AMV_dateonly." $crlf";
		print "#$crlf";
		print "# AllMyVisitors,  2004 voice of web (http://www.php-resource.net)$crlf";
		print "#$crlf";
		print "# =============================================================$crlf";
		print "$crlf";
	    
		while(list($AMV_k, $AMV_v) = each($AMV_tables))
		{ 
			print $crlf;
			print "# -------------------------------------------------------------$crlf";
			print "# -------------------------------------------------------------$crlf";
			print "#$crlf";
			print "# "._admin_dbexport_tabledefinition_."'".$AMV_v."'$crlf";
			print "#$crlf";
			print $crlf;
			echo AMP_get_tabledefinition($_AMVconfig['sql_dabaname'], $AMV_v, $crlf).";$crlf$crlf";
	        
			print "#$crlf";
			print "# "._admin_dbexport_tablecontent_." '".$AMV_v."'$crlf";
			print "#$crlf";
			print $crlf;

			AMP_get_tablecontent($_AMVconfig['sql_dabaname'], $AMV_v, "AMP_my_handler");
			print "#$crlf";
			print "#$crlf";
			$i++;
		}
			
	}
	elseif(isset($HTTP_POST_VARS['AMV_exporttype']) && $HTTP_POST_VARS['AMV_exporttype'] == 'AMV_admin_db_export_data')
	{
		$AMV_dateonly = AMP_setdate('j-m-y', $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
		header("Content-disposition: filename=".$_AMVconfig['cfg_scriptname']."".$_AMVconfig['cfg_scriptversion']."-BACKUP_content".$AMV_dateonly.".sql");
		header("Content-type: application/octetstream");
		header("Pragma: no-cache");
		header("Expires: 0");
	
		if(ereg('[^(]*\((.*)\)[^)]*',$_AMVconfig['env_HTTP_USER_AGENT'],$regs)) 
		{
		$os = $regs[1];
			if (eregi("Win",$os)) 
		    $crlf="\r\n";
		}
		
		$AMV_tables = array("tbl_categories"   => "".$_AMVconfig['tbl_categories']."",
		                    "tbl_links"        => "".$_AMVconfig['tbl_links']."",
		                    "tbl_comments"     => "".$_AMVconfig['tbl_comments']."",
		                    "tbl_brokenvalues" => "".$_AMVconfig['tbl_brokenvalues']."",
		                    "tbl_languages"    => "".$_AMVconfig['tbl_languages']."",
		                    "tbl_preferences"  => "".$_AMVconfig['tbl_preferences']."",
		                    "tbl_userfields_values"  => "".$_AMVconfig['tbl_userfields_values']."");
		
		$i = 0;
		print "# =============================================================$crlf";
		print "#$crlf";
		print "# Db Dump file: ".$_AMVconfig['cfg_scriptname']."".$_AMVconfig['cfg_scriptversion']." $crlf";
		print "# Backup date: ".$AMV_dateonly." $crlf";
		print "#$crlf";
		print "# AllMyLinks,  2003 voice of web (http://www.php-resource.net)$crlf";
		print "#$crlf";
		print "# =============================================================$crlf";
		print "$crlf";
	    
		while(list($AMV_k, $AMV_v) = each($AMV_tables))
		{ 
			print $crlf;
			print "# -------------------------------------------------------------$crlf";
			print "# -------------------------------------------------------------$crlf";
			print "#$crlf";
			print "# "._admin_dbexport_tabledefinition_."'".$AMV_v."'$crlf";
			print "#$crlf";
			print $crlf;
			echo AMP_get_tabledefinition($_AMVconfig['sql_dabaname'], $AMV_v, $crlf).";$crlf$crlf";
	        
			print "#$crlf";
			print "# "._admin_dbexport_tablecontent_." '".$AMV_v."'$crlf";
			print "#$crlf";
			print $crlf;

			AMP_get_tablecontent($_AMVconfig['sql_dabaname'], $AMV_v, "AMP_my_handler");
			print "#$crlf";
			print "#$crlf";
			$i++;
		}
		
	}	
	elseif(isset($HTTP_POST_VARS['AMV_exporttype']) && $HTTP_POST_VARS['AMV_exporttype'] == 'AMV_admin_db_export_config')
	{
		$AMV_dateonly = AMP_setdate('j-m-y', $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
		header("Content-disposition: filename=".$_AMVconfig['cfg_scriptname']."".$_AMVconfig['cfg_scriptversion']."-BACKUP_config-".$AMV_dateonly.".sql");
		header("Content-type: application/octetstream");
		header("Pragma: no-cache");
		header("Expires: 0");
	
		if(ereg('[^(]*\((.*)\)[^)]*',$_AMVconfig['env_HTTP_USER_AGENT'],$regs)) 
		{
		$os = $regs[1];
			if (eregi("Win",$os)) 
		    $crlf="\r\n";
		}
		
		$AMV_tables = array("tbl_config"             => "".$_AMVconfig['tbl_config']."",
		                    "tbl_header"             => "".$_AMVconfig['tbl_header']."",
		                    "tbl_brokenvalues"       => "".$_AMVconfig['tbl_brokenvalues']."",
		                    "tbl_wrdfil"             => "".$_AMVconfig['tbl_wrdfil']."",
		                    "tbl_protocols"          => "".$_AMVconfig['tbl_protocols']."",
		                    "tbl_languages"          => "".$_AMVconfig['tbl_languages']."",
		                    "tbl_notes"              => "".$_AMVconfig['tbl_notes']."",
		                    "tbl_userfields"         => "".$_AMVconfig['tbl_userfields']."",
		                    "tbl_modules"            => "".$_AMVconfig['tbl_modules']."",
		                    "tbl_banner"             => "".$_AMVconfig['tbl_banner']."");
		
		$i = 0;
		print "# =============================================================$crlf";
		print "#$crlf";
		print "# Db Dump file: ".$_AMVconfig['cfg_scriptname']."".$_AMVconfig['cfg_scriptversion']." $crlf";
		print "# Backup date: ".$AMV_dateonly." $crlf";
		print "#$crlf";
		print "# AllMyLinks,  2003 voice of web (http://www.php-resource.net)$crlf";
		print "#$crlf";
		print "# =============================================================$crlf";
		print "$crlf";
	    
		while(list($AMV_k, $AMV_v) = each($AMV_tables))
		{ 
			print $crlf;
			print "# -------------------------------------------------------------$crlf";
			print "# -------------------------------------------------------------$crlf";
			print "#$crlf";
			print "# "._admin_dbexport_tabledefinition_."'".$AMV_v."'$crlf";
			print "#$crlf";
			print $crlf;
			echo AMP_get_tabledefinition($_AMVconfig['sql_dabaname'], $AMV_v, $crlf).";$crlf$crlf";
	        
			print "#$crlf";
			print "# "._admin_dbexport_tablecontent_." '".$AMV_v."'$crlf";
			print "#$crlf";
			print $crlf;

			AMP_get_tablecontent($_AMVconfig['sql_dabaname'], $AMV_v, "AMP_my_handler");
			print "#$crlf";
			print "#$crlf";
			$i++;
		}
	}	
	die();
}


$AMV_dbexport_get = //require_once("../include/template.inc.php");
$AMV_dbexport_tpl = new AMT_Template("../template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_db_export.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AMV_dbexport_tpl -> AMT_assign('AMV_admin_db_export_headline',     ""._admin_db_export_headline_."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_admin_db_export_description',  ""._admin_db_export_description_."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_admin_db_export_config',       ""._admin_db_export_config_."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_admin_db_export_data',         ""._admin_db_export_data_."");
	$AMV_dbexport_tpl -> AMT_assign('AMV_admin_db_export_complete',     ""._admin_db_export_complete_."");

$AMV_dbexport_tpl -> AMT_tpl_print();
?>