<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./include/sql.inc.php                               */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "sql.inc.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------

/* $AML_dbtype = "MySQL"; */
/* $AML_dbtype = "mSQL"; */
/* $AML_dbtype = "PostgreSQL"; */
/* $AML_dbtype = "PostgreSQL_local";// When postmaster start without "-i" option. */
/* $AML_dbtype = "ODBC"; */
/* $AML_dbtype = "ODBC_Adabas"; */
/* $AML_dbtype = "Interbase"; */
/* $AML_dbtype = "Sybase"; */

$AMS_dbtype = $_AMVconfig['sql_dabatype'];

if(!function_exists('AMS_sql_connect'))
{
	function AMS_sql_connect($AMS_host, $AMS_user, $AMS_password, $AMS_db)
	{
	global $AMS_dbtype;
	switch ($AMS_dbtype) {
	
	    case "MySQL":
	        $AMS_dbi=@mysql_connect($AMS_host, $AMS_user, $AMS_password);
	        mysql_select_db($AMS_db);
	        return $AMS_dbi;
	    break;;
	
	    case "mSQL":
	         $AMS_dbi=msql_connect($AMS_host);
	         msql_select_db($AMS_db);
	         return $AMS_dbi;
	    break;;
	
	              
	case "PostgreSQL":
	         $AMS_dbi=@pg_connect("host=$AMS_host user=$AMS_user password=$AMS_password port=5432 dbname=$AMS_db");
	         return $AMS_dbi;
	    break;;
	  
	    case "PostgreSQL_local":
	         $AMS_dbi=@pg_connect("user=$AMS_user password=$AMS_password dbname=$AMS_db");
	         return $AMS_dbi;
	    break;;
	  
	    case "ODBC":
	         $AMS_dbi=@odbc_connect($AMS_db,$AMS_user,$AMS_password);
	         return $AMS_dbi;  
	    break;;
	
	    case "ODBC_Adabas":
	         $AMS_dbi=@odbc_connect($AMS_host.":".$AMS_db,$AMS_user,$AMS_password);
		 return $AMS_dbi;  
	    break;;
	
	    case "Interbase":
	         $AMS_dbi=@ibase_connect($AMS_host.":".$AMS_db,$AMS_user,$AMS_password);
	         return $AMS_dbi;
	    break;;
	
	    case "Sybase":
	        $AMS_dbi=@sybase_connect($AMS_host, $AMS_user, $AMS_password);
	        sybase_select_db($AMS_db,$AMS_dbi);
	        return $AMS_dbi;
	    break;;
	
	    default:
	    break;;
	    }
		
	}
}
if(!function_exists('AMS_sql_close'))
{
	function AMS_sql_close($AMS_id)
	{
	global $AMS_dbtype;
	switch ($AMS_dbtype) {
	
	    case "MySQL":
	        $AMS_dbi=@mysql_close($AMS_id);
	        return $AMS_dbi;
	    break;;
	
	    case "mSQL":
	         $AMS_dbi=@msql_close($AMS_id);
	         return $AMS_dbi;
	    break;;
	
	    case "PostgreSQL":
	    case "PostgreSQL_local":
	         $AMS_dbi=@pg_close($AMS_id);
	         return $AMS_dbi;
	    break;;
	  
	    case "ODBC":
	    case "ODBC_Adabas":
	         $AMS_dbi=@odbc_close($AMS_id);
	         return $AMS_dbi;  
	    break;;
	
	    case "Interbase":
	         $AMS_dbi=@ibase_close($AMS_id);
	         return $AMS_dbi;
	    break;;
	
	    case "Sybase":
	        $AMS_dbi=@sybase_close($AMS_id);
	        return $AMS_dbi;
	    break;;
	  
	    default:
	    break;;
	    }
	}
}

if(!function_exists('AMS_sql_query'))
{
	function AMS_sql_query($AMS_query, $AMS_id)
	{
	global $AMS_dbtype;
	global $_AMVconfig;
	if(@$_AMVconfig['sql_debugsql']) echo "SQL query: ".str_replace(",",", ",$AMS_query)."<BR>";
	switch ($AMS_dbtype) {
	
	    case "MySQL":
	        $AMS_res=@mysql_query($AMS_query, $AMS_id);
	        return $AMS_res;
	    break;;
	    
	    case "mSQL":
	        $AMS_res=@msql_query($AMS_query, $AMS_id);
	        return $AMS_res; 
    	break;;
	
	    case "PostgreSQL":
	    case "PostgreSQL_local":
	        $AMS_res=pg_exec($AMS_id,$AMS_query);
		$AMS_result_set = new ResultSet;
		$AMS_result_set->set_result( $AMS_res );
		$AMS_result_set->set_total_rows( sql_num_rows( $AMS_result_set ) );
		$AMS_result_set->set_fetched_rows( 0 );	
	        return $AMS_result_set;
	    break;;
	    
	    case "ODBC":
	    case "ODBC_Adabas":
	        $AMS_res=@odbc_exec($AMS_id,$AMS_query);
	        return $AMS_res;  
	    break;;
	  
	    case "Interbase":
	        $AMS_res=@ibase_query($AMS_id,$AMS_query);
	        return $AMS_res;
	    break;;
	
	    case "Sybase":
	        $AMS_res=@sybase_query($AMS_query, $AMS_id);
	        return $AMS_res;
	    break;;
	
	    default:
	    break;;
    
	    }   
	}
}       

if(!function_exists('AMS_sql_num_rows'))
{
	function AMS_sql_num_rows($AMS_res)
	{
	global $AMS_dbtype;
	switch ($AMS_dbtype) {
	 
	    case "MySQL":
	        $AMS_rows=mysql_num_rows($AMS_res);
	        return $AMS_rows;
	    break;;
	
	    case "mSQL":  
	        $AMS_rows=msql_num_rows($AMS_res);
	        return $AMS_rows;
	    break;;
	        
	    case "PostgreSQL":
	    case "PostgreSQL_local":
	        $AMS_rows=pg_numrows( $AMS_res->get_result() );
	        return $AMS_rows;
	    break;;
	        
	    case "ODBC":
	    case "ODBC_Adabas":
	        $AMS_rows=odbc_num_rows($AMS_res);
	        return $AMS_rows; 
	    break;;
	        
	    case "Interbase":
		echo "<BR>Error! PHP dosen't support ibase_numrows!<BR>";
	        return $AMS_rows; 
	    break;;
	
	    case "Sybase":
	        $AMS_rows=sybase_num_rows($AMS_res);
	        return $AMS_rows; 
	    break;;
	
	    default:
	    break;;                          
	    }                                
	}                                    
}

if(!function_exists('AMS_sql_fetch_row'))
{                            
	function AMS_sql_fetch_row(&$AMS_res, $AMS_nr)    
	{                                    
	global $AMS_dbtype;                      
	switch ($AMS_dbtype) {                   
	                                     
	    case "MySQL":
	        $AMS_row = mysql_fetch_row($AMS_res);
	        return $AMS_row;
	    break;;                          
	                                     
	    case "mSQL":                     
	        $AMS_row = msql_fetch_row($AMS_res); 
	        return $AMS_row;                 
	    break;;                          
	                                     
	    case "PostgreSQL":               
	    case "PostgreSQL_local":
		if( $AMS_res->get_total_rows() > $AMS_res->get_fetched_rows() ) {
			$AMS_row = pg_fetch_row($AMS_res->get_result(), $AMS_res->get_fetched_rows() );
			$AMS_res->increment_fetched_rows();
			return $AMS_row;                 
		} else {
			return false;
		}
	    break;;                          
	                                     
	    case "ODBC":                     
	    case "ODBC_Adabas":
	        $AMS_row = array();              
	        $AMS_cols = odbc_fetch_into($AMS_res, $AMS_nr, &$AMS_row);                     
	        return $AMS_row;                 
	    break;;                          
	                                     
	    case "Interbase":
	        $AMS_row = ibase_fetch_row($AMS_res);
	        return $AMS_row;                 
	    break;;                          
	
	    case "Sybase":
	        $AMS_row = sybase_fetch_row($AMS_res);
	        return $AMS_row;                 
	    break;;                          
	
	    default:                         
	    break;;                          
	    }                                
	}                                    
}	    

if(!function_exists('AMS_sql_fetch_array'))
{                                                                      
	function AMS_sql_fetch_array(&$AMS_res, $AMS_nr)  
	{                                    
	global $AMS_dbtype;                      
	switch ($AMS_dbtype) 
	    {
	    case "MySQL":                    
	        $AMS_row = array();              
	        $AMS_row = mysql_fetch_array($AMS_res);
	        return $AMS_row;                 
	    break;;                          
	                                     
	    case "mSQL":                     
	        $AMS_row = array();              
	        $AMS_row = msql_fetch_array($AMS_res);
	        return $AMS_row;                 
	    break;;                          
	                                     
	    case "PostgreSQL":               
	    case "PostgreSQL_local":
		if( $AMS_res->get_total_rows > $AMS_res->get_fetched_rows() ) {
			$AMS_row = array();              
			$AMS_row = pg_fetch_array($AMS_res->get_result(), $AMS_res->get_fetched_rows() );
			$AMS_res->increment_fetched_rows();
			return $AMS_row;                 
		} else {
			return false;
		}
	    break;;                                                      
	                                     
	    case "ODBC":                     
	        $AMS_row = array();              
	        $AMS_result = array();           
	        $AMS_result = odbc_fetch_row($AMS_res, $AMS_nr);                           
		$AMS_nf = odbc_num_fields($AMS_res); /* Field numbering starts at 1 */
	        for($AMS_count=1; $AMS_count < $AMS_nf+1; $AMS_count++) 
		{                        
	            $AMS_field_name = odbc_field_name($AMS_res, $AMS_count);               
	            $AMS_field_value = odbc_result($AMS_res, $AMS_field_name);             
	            $AMS_row[$AMS_field_name] = $AMS_field_value;                          
	        }                        
	        return $AMS_row;                 
	    break;;                          
	
	    case "ODBC_Adabas":                     
	        $AMS_row = array();              
	        $AMS_result = array();           
	        $AMS_result = odbc_fetch_row($AMS_res, $AMS_nr);                           
	
	        $AMS_nf = count($AMS_result)+2; /* Field numbering starts at 1 */
		for($AMS_count=1; $AMS_count < $AMS_nf; $AMS_count++) {
		    $AMS_field_name = odbc_field_name($AMS_res, $AMS_count);
		    $AMS_field_value = odbc_result($AMS_res, $AMS_field_name);
		    $AMS_row[$AMS_field_name] = $AMS_field_value;
		}
	        return $AMS_row;                 
	    break;;                          
	
	    case "Interbase":
		$AMS_orow=ibase_fetch_object($AMS_res);
		$AMS_row=get_object_vars($AMS_orow);
	        return $AMS_row;
	    break;;                          
	
	    case "Sybase":
	        $AMS_row = sybase_fetch_array($AMS_res);
	        return $AMS_row;                 
	    break;;                          
	
	    }                                
	}
}
if(!function_exists('AMS_sql_fetch_object'))
{
	function AMS_sql_fetch_object(&$AMS_res, $AMS_nr)
	{                                    
	global $AMS_dbtype;                      
	switch ($AMS_dbtype) 
	    {
	    case "MySQL":                    	
	        $AMS_row = mysql_fetch_object($AMS_res);
			if($AMS_row) return $AMS_row;
			else return false;
	    break;;                          
	                                     
	    case "mSQL":                     
	        $AMS_row = msql_fetch_object($AMS_res);
		if($AMS_row) return $AMS_row;
		else return false;
	    break;;                          
	                                     
	    case "PostgreSQL":
	    case "PostgreSQL_local":
		if( $AMS_res->get_total_rows > $AMS_res->get_fetched_rows() ) {
			$AMS_row = pg_fetch_object( $AMS_res->get_result(), $AMS_res->get_fetched_rows() );
			$AMS_res->increment_fetched_rows();
			if($AMS_row) return $AMS_row;
			else return false;
		} else {
			return false;
		}
	    break;;
	
	    case "ODBC":                     
	        $AMS_result = odbc_fetch_row($AMS_res, $AMS_nr);                       
		if(!$AMS_result) return false;    
		$AMS_nf = odbc_num_fields($AMS_res); /* Field numbering starts at 1 */
	        for($AMS_count=1; $AMS_count < $AMS_nf+1; $AMS_count++) 
		{                        
	            $AMS_field_name = odbc_field_name($AMS_res, $AMS_count);
	            $AMS_field_value = odbc_result($AMS_res, $AMS_field_name);             
	            $AMS_row->$AMS_field_name = $AMS_field_value;
	        }                        
	        return $AMS_row;                 
	    break;;                          
	
	    case "ODBC_Adabas":                     
	        $AMS_result = odbc_fetch_row($AMS_res, $AMS_nr);                           
		if(!$AMS_result) return false;    
	
	        $AMS_nf = count($AMS_result)+2; /* Field numbering starts at 1 */
		for($AMS_count=1; $AMS_count < $AMS_nf; $AMS_count++) {
		    $AMS_field_name = odbc_field_name($AMS_res, $AMS_count);
		    $AMS_field_value = odbc_result($AMS_res, $AMS_field_name);
		    $AMS_row->$AMS_field_name = $AMS_field_value;
		}
	        return $AMS_row;                 
	    break;;                          
	
	    case "Interbase":
	        $AMS_orow = ibase_fetch_object($AMS_res);
		if($AMS_orow)
		{
		    $AMS_arow=get_object_vars($AMS_orow);
		    while(list($AMS_name,$AMS_key)=each($AMS_arow))
		    {
			$AMS_name=strtolower($AMS_name);
			$AMS_row->$AMS_name=$AMS_key;
		    }
	    	    return $AMS_row;
		}else return false;
	    break;;                          
	
	    case "Sybase":
	        $AMS_row = sybase_fetch_object($AMS_res);
	        return $AMS_row;                 
	    break;;                          
	
	    }                                
	}
}
?>
