<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/overview/browseros.lib.php                     */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "browseros.lib.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


if($_AMVusrcfg['cfg_overview_browseros'])
{
	// --> BEGIN browser data ----------------------------------------------------------------------------------------------------------------------
	$AMV_browserheader_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-useragent-bros-open.tpl.html", __FILE__, __LINE__);
			// --> BEGIN templating globals ---------------------------------------------------------------------------
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
			$AMV_browserheader_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -----------------------------------------------------------------------------
	$AMV_browserstat_header = $AMV_browserheader_tpl -> AMT_tpl_var();
	
	$AMV_highest_bro = AMS_sql_fetch_array(AMS_sql_query("SELECT browseros_hits FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type = 'browser' order by browseros_hits DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_highest_all = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(browseros_hits) AS total FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type = 'browser' order by browseros_hits DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_browser_get = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type = 'browser' order by 'browseros_hits' DESC", $_AMVconfig['sql_connect']);
	settype($AMV_browserstat_body,"string");
	while($AMV_mbhtml = AMS_sql_fetch_array($AMV_browser_get, $_AMVconfig['sql_connect']))
	{
		if($AMV_mbhtml['browseros_var'] != "WebTV" && $AMV_mbhtml['browseros_hits'] != "0" && !empty($AMV_mbhtml['browseros_hits']))
		{
			$AMV_calculateinpx = 150 * $AMV_mbhtml['browseros_hits'] / $AMV_highest_bro['browseros_hits'];
			$AMV_dahitsinpx = round($AMV_calculateinpx);
			$AMV_calculatepercent = $AMV_mbhtml['browseros_hits'] * 100 / $AMV_highest_all['total'];
			$AMV_dahitsinpercent = round($AMV_calculatepercent, 2);
				
			$AMV_browserbody_get = require_once("$_AMVconfig[cfg_serverpath]"."/include/template.inc.php");
			$AMV_browserbody_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-useragent-bros-tr.tpl.html", __FILE__, __LINE__);
				$AMV_browserbody_tpl -> AMT_assign('AMV_urltotemplate',  "$_AMVconfig[cfg_scriptpath]"."/template/$_AMVusrcfg[globalcfg_template]/");
				$AMV_browserbody_tpl -> AMT_assign('AMV_icon',           "<img src=\"".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."/images/icons/browser/".$AMV_mbhtml['browseros_image']."\" width=\"16\" height=\"16\" alt=\"".$AMV_mbhtml['browseros_var']."\">");
				$AMV_browserbody_tpl -> AMT_assign('AMV_percent',        "".$AMV_dahitsinpercent."%");
				$AMV_browserbody_tpl -> AMT_assign('AMV_bar',            "<img src=\"".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."/images/bar-horizontal.gif\" width=\"".$AMV_dahitsinpx."\" height=\"15\">");
				$AMV_browserbody_tpl -> AMT_assign('AMV_hits',           "".$AMV_mbhtml['browseros_hits']."");
				$AMV_browserbody_tpl -> AMT_assign('AMV_visitors',       "".$AMV_mbhtml['browseros_visitors']."");
			$AMV_browserstat_body .= $AMV_browserbody_tpl -> AMT_tpl_var();
		}
	}
	
	$AMV_browserfooter_get = require_once("$_AMVconfig[cfg_serverpath]"."/include/template.inc.php");
	$AMV_browserfooter_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-useragent-bros-close.tpl.html", __FILE__, __LINE__);
		$AMV_browserfooter_tpl -> AMT_assign('AMV_urltotemplate',  "$_AMVconfig[cfg_scriptpath]"."/template/$_AMVusrcfg[globalcfg_template]/");
	$AMV_browserstat_footer = $AMV_browserfooter_tpl -> AMT_tpl_var();
	// <-- END browser data ------------------------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN os data ----------------------------------------------------------------------------------------------------------------------
	$AMV_osheader_get = require_once("$_AMVconfig[cfg_serverpath]"."/include/template.inc.php");
	$AMV_osheader_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-useragent-bros-open.tpl.html", __FILE__, __LINE__);
		$AMV_osheader_tpl -> AMT_assign('AMV_urltotemplate',  "$_AMVconfig[cfg_scriptpath]"."/template/$_AMVusrcfg[globalcfg_template]/");
	$AMV_osstat_header = $AMV_osheader_tpl -> AMT_tpl_var();
	
	$AMV_highest_bro = AMS_sql_fetch_array(AMS_sql_query("SELECT browseros_hits FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type = 'os' order by browseros_hits DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_highest_all = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(browseros_hits) AS total FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type = 'os' order by browseros_hits DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_browser_get = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type = 'os' order by 'browseros_hits' DESC", $_AMVconfig['sql_connect']);
	settype($AMV_osstat_body,"string");
	while($AMV_mbhtml = AMS_sql_fetch_array($AMV_browser_get, $_AMVconfig['sql_connect']))
	{
		if($AMV_mbhtml['browseros_var'] != "WebTV" && $AMV_mbhtml['browseros_hits'] != "0" && !empty($AMV_mbhtml['browseros_hits']))
		{
			$AMV_calculateinpx = 150 * $AMV_mbhtml['browseros_hits'] / $AMV_highest_bro['browseros_hits'];
			$AMV_dahitsinpx = round($AMV_calculateinpx);
			$AMV_calculatepercent = $AMV_mbhtml['browseros_hits'] * 100 / $AMV_highest_all['total'];
			$AMV_dahitsinpercent = round($AMV_calculatepercent, 2);
				
			$AMV_osbody_get = require_once("$_AMVconfig[cfg_serverpath]"."/include/template.inc.php");
			$AMV_osbody_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-useragent-bros-tr.tpl.html", __FILE__, __LINE__);
				$AMV_osbody_tpl -> AMT_assign('AMV_urltotemplate',  "$_AMVconfig[cfg_scriptpath]"."/template/$_AMVusrcfg[globalcfg_template]/");
				$AMV_osbody_tpl -> AMT_assign('AMV_icon',           "<img src=\"".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."/images/icons/os/".$AMV_mbhtml['browseros_image']."\" width=\"16\" height=\"16\" alt=\"".$AMV_mbhtml['browseros_var']."\">");
				$AMV_osbody_tpl -> AMT_assign('AMV_percent',        "".$AMV_dahitsinpercent."%");
				$AMV_osbody_tpl -> AMT_assign('AMV_bar',            "<img src=\"".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."/images/bar-horizontal.gif\" width=\"".$AMV_dahitsinpx."\" height=\"15\">");
				$AMV_osbody_tpl -> AMT_assign('AMV_hits',           "".$AMV_mbhtml['browseros_hits']."");
				$AMV_osbody_tpl -> AMT_assign('AMV_visitors',       "".$AMV_mbhtml['browseros_visitors']."");
			$AMV_osstat_body .= $AMV_osbody_tpl -> AMT_tpl_var();
		}
	}
	
	$AMV_osfooter_get = require_once("$_AMVconfig[cfg_serverpath]"."/include/template.inc.php");
	$AMV_osfooter_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-useragent-bros-close.tpl.html", __FILE__, __LINE__);
		$AMV_osfooter_tpl -> AMT_assign('AMV_urltotemplate',  "$_AMVconfig[cfg_scriptpath]"."/template/$_AMVusrcfg[globalcfg_template]/");
	$AMV_osstat_footer = $AMV_osfooter_tpl -> AMT_tpl_var();
	// <-- END os data ------------------------------------------------------------------------------------------------------------------------


	// --> BEGIN templating -----------------------------------------------------------------------------------------------------------
	$AMV_browseros_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-overview-browseros.tpl.html", __FILE__, __LINE__);
			// --> BEGIN templating globals ---------------------------------------------------------------------------
			$AMV_browseros_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
			$AMV_browseros_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
			$AMV_browseros_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
			$AMV_browseros_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
			$AMV_browseros_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
			$AMV_browseros_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
			$AMV_browseros_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals -------------------------------------------------------------------------------------
			$AMV_browseros_tpl -> AMT_assign('AMV_statsoverview_browser_records',  ""._stats_useragents_browser_."");
			$AMV_browseros_tpl -> AMT_assign('AMV_statsoverview_os_records',       ""._stats_useragents_os_."");
			$AMV_browseros_tpl -> AMT_assign('AMV_statsoverview_detaillinktext',   ""._stats_useragents_detailstat_."");
			$AMV_browseros_tpl -> AMT_assign('AMV_FILE_statsbrowser',              "".$AMV_browserstat_header."".$AMV_browserstat_body."".$AMV_browserstat_footer."");
			$AMV_browseros_tpl -> AMT_assign('AMV_FILE_statsos',                   "".$AMV_osstat_header."".$AMV_osstat_body."".$AMV_osstat_footer."");
	
	$AMV_FILE_stats_overview_browseros = $AMV_browseros_tpl -> AMT_tpl_var();
	$AMV_FILE_stats_overview_browseros = $AMV_FILE_stats_overview_browseros.$AMV_sectionspacing;
}
else
{
	$AMV_FILE_stats_overview_browseros = "";
}
?>