<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/overview/dayaccess.lib.php                     */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "dayaccess.lib.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


if($_AMVusrcfg['cfg_overview_dayaccess'] != "0")
{
	// --> BEGIN generate day-access graph --------------------------------------------------------------------------------------------
	
	$AMV_dayi = 0;	
	$AMV_cdahtml = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_dayaccess']." order by dayaccess_time ASC", $_AMVconfig['sql_connect']);
	while($AMV_da = AMS_sql_fetch_array($AMV_cdahtml, $_AMVconfig['sql_connect']))
	{
		$AMV_daqhighestarray = AMS_sql_fetch_array(AMS_sql_query("SELECT dayaccess_hits FROM ".$_AMVconfig['tbl_dayaccess']." order by dayaccess_hits DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		$AMV_daha = AMS_sql_fetch_array(AMS_sql_query("SELECT SUM(dayaccess_hits) as total FROM ".$_AMVconfig['tbl_dayaccess']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		@$AMV_calculateinpx = $_AMVusrcfg['cfg_overview_dayaccess'] * $AMV_da['dayaccess_hits'] / $AMV_daqhighestarray['dayaccess_hits'];
		$AMV_dahitsinpx = round($AMV_calculateinpx);
		@$AMV_calculatepercent = $AMV_da['dayaccess_hits'] * 100 / $AMV_daha['total'];
		$AMV_dahitsinpercent = round($AMV_calculatepercent, 1);
		$AMV_daystats[''.$AMV_dayi.'']['imageheight'] = $AMV_dahitsinpx;
		$AMV_daystats[''.$AMV_dayi.'']['daypercent']  = $AMV_dahitsinpercent;
		$AMV_dayi++;
	}
	// <-- END generate day-access graph ----------------------------------------------------------------------------------------------
	
	// --> BEGIN templating -----------------------------------------------------------------------------------------------------------
	$AMV_stats_dayaccess_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-overview-dayaccess.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals -------------------------------------------------------------------
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_linkopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_linktotemplate',      "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_linktoscript',        "".$_AMVconfig['cfg_scriptpath']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_sitename',            "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_siteurl',             "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_sitedescription',     "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_global_now',                 date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_statsoverview_daygraph',           ""._stats_overview_daygraph_."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_0',                                 "".@$AMV_daystats['0']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_1',                                 "".@$AMV_daystats['1']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_2',                                 "".@$AMV_daystats['2']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_3',                                 "".@$AMV_daystats['3']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_4',                                 "".@$AMV_daystats['4']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_5',                                 "".@$AMV_daystats['5']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_6',                                 "".@$AMV_daystats['6']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_7',                                 "".@$AMV_daystats['7']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_8',                                 "".@$AMV_daystats['8']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_9',                                 "".@$AMV_daystats['9']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_10',                                "".@$AMV_daystats['10']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_11',                                "".@$AMV_daystats['11']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_12',                                "".@$AMV_daystats['12']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_13',                                "".@$AMV_daystats['13']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_14',                                "".@$AMV_daystats['14']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_15',                                "".@$AMV_daystats['15']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_16',                                "".@$AMV_daystats['16']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_17',                                "".@$AMV_daystats['17']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_18',                                "".@$AMV_daystats['18']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_19',                                "".@$AMV_daystats['19']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_20',                                "".@$AMV_daystats['20']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_21',                                "".@$AMV_daystats['21']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_22',                                "".@$AMV_daystats['22']['daypercent']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dg_23',                                "".@$AMV_daystats['23']['daypercent']."");
	
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_0',                                "".@$AMV_daystats['0']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_1',                                "".@$AMV_daystats['1']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_2',                                "".@$AMV_daystats['2']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_3',                                "".@$AMV_daystats['3']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_4',                                "".@$AMV_daystats['4']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_5',                                "".@$AMV_daystats['5']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_6',                                "".@$AMV_daystats['6']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_7',                                "".@$AMV_daystats['7']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_8',                                "".@$AMV_daystats['8']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_9',                                "".@$AMV_daystats['9']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_10',                               "".@$AMV_daystats['10']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_11',                               "".@$AMV_daystats['11']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_12',                               "".@$AMV_daystats['12']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_13',                               "".@$AMV_daystats['13']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_14',                               "".@$AMV_daystats['14']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_15',                               "".@$AMV_daystats['15']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_16',                               "".@$AMV_daystats['16']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_17',                               "".@$AMV_daystats['17']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_18',                               "".@$AMV_daystats['18']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_19',                               "".@$AMV_daystats['19']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_20',                               "".@$AMV_daystats['20']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_21',                               "".@$AMV_daystats['21']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_22',                               "".@$AMV_daystats['22']['imageheight']."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('dgh_23',                               "".@$AMV_daystats['23']['imageheight']."");
		
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_statsoverview_detailstatistics',   ""._stats_pages_allpages_."");
		$AMV_stats_dayaccess_tpl -> AMT_assign('AMV_stattype',                         "detail");
	$AMV_FILE_stats_overview_dayaccess = $AMV_stats_dayaccess_tpl -> AMT_tpl_var();
	$AMV_FILE_stats_overview_dayaccess = $AMV_FILE_stats_overview_dayaccess.$AMV_sectionspacing;
	// <-- END dayline ----------------------------------------------------------------------------------------------------------------
}
else
{
	$AMV_FILE_stats_overview_dayaccess = "";
}