<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./runlevel/uonlineview.php                           */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "uonlineview.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


// --> BEGIN stop if disabled and admin is not logged in ----------------------------------------------------------------------------------
if($_AMVusrcfg['cfg_privacy_useronline'] == '0' && !AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
		$AMV_error_error        = ""._useronline_error_disabled_."";
		$AMV_error_description  = ""._useronline_error_disableddesc_."";
		if(!$_AMVinclude['res_error'] = include("".$_AMVconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}		
}
// <-- END stop if disabled and admin is not logged in ------------------------------------------------------------------------------------


else

// --> BEGIN parsing site -----------------------------------------------------------------------------------------------------------------
{
	// --> BEGIN admin only warning ---------------------------------------------------------------------------------------------------
	if($_AMVusrcfg['cfg_privacy_useronline'] == '0' && AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
	{
		if(!$_AMVinclude['res_adminaccess'] = include("".$_AMVconfig['cfg_serverpath']."/include/adminaccess.inc.php"))
		{	
			die("can not load <i>adminaccess.inc.php</i> so I will die now!");
		}		
	}	
	// <-- END admin only warning -----------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN user online header ---------------------------------------------------------------------------------------------------
	$AMV_uonline_header_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats_tbl_5columns_header-dynamic.tpl.html", __FILE__, __LINE__);
	
		$AMV_uonline_header_tpl -> AMT_assign('AMV_desc1', ""._global_position_."");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_desc2', ""._global_visitors_."");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_desc3', ""._global_page_."");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_desc4', ""._global_ipadr_."");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_desc5', ""._global_date_."");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_align1',    "right");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_align2',    "right");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_align3',    "center");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_align4',    "right");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_align5',    "center");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_width1',    "20");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_width2',    "80");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_width3',    "");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_width4',    "");
		$AMV_uonline_header_tpl -> AMT_assign('AMV_width5',    "220");	
	$AMV_uonline_header = $AMV_uonline_header_tpl -> AMT_tpl_var();
	// <-- END user online header -----------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN user online body -----------------------------------------------------------------------------------------------------
	$AMV_i = 1;
	$AMV_uonline_body = "";
	$AMV_getdata = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_online']." order by online_page", $_AMVconfig['sql_connect']);
	while($AMV_array = AMS_sql_fetch_array($AMV_getdata, $_AMVconfig['sql_connect']))
	{
		$AMV_thisuser = AMS_sql_fetch_array(AMS_sql_query("SELECT visitors_id FROM ".$_AMVconfig['tbl_visitors']." WHERE visitors_ipadr = '".$AMV_array['online_ip']."' order by visitors_id DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		
		$AMV_uonline_body_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats_tbl_5columns_tr-dynamic.tpl.html", __FILE__, __LINE__);
			$AMV_uonline_body_tpl -> AMT_assign('AMV_record1',   "&nbsp;".$AMV_i."&nbsp;");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_record2',   "&nbsp;".$AMV_thisuser['visitors_id']."&nbsp;");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_record3',   "&nbsp;".$AMV_array['online_page']."&nbsp;");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_record4',   "&nbsp;".AMP_mask_ipadr($AMV_array['online_ip'], $_AMVusrcfg['cfg_privacy_ipmask'])."&nbsp;");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_record5',   "&nbsp;".AMP_setdate("".$_AMVusrcfg['cfg_date_datetimeformat']."", $AMV_array['online_date'], $_AMVusrcfg['cfg_date_timezone'])."&nbsp;");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_hovertype', "AMP_nolinkhover");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_link',      "");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_align1',    "right");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_align2',    "right");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_align3',    "left");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_align4',    "right");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_align5',    "right");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_width1',    "20");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_width2',    "80");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_width3',    "");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_width4',    "");
			$AMV_uonline_body_tpl -> AMT_assign('AMV_width5',    "220");		
		$AMV_uonline_body .=$AMV_uonline_body_tpl -> AMT_tpl_var();
		$AMV_i++;
	}
	// <-- END user online body -------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN user online footer ---------------------------------------------------------------------------------------------------
	$AMV_uonline_footer_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats_tbl_5columns_footer.tpl.html", __FILE__, __LINE__);
		$AMV_uonline_footer_tpl -> AMT_assign('',"");
	$AMV_uonline_footer = $AMV_uonline_footer_tpl -> AMT_tpl_var();	
	// <-- END user online footer -----------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN merge components -----------------------------------------------------------------------------------------------------
	$AMV_useronline_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/useronline.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AMV_useronline_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_useronline_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_useronline_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
		$AMV_useronline_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_useronline_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_useronline_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_useronline_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		$AMV_useronline_tpl -> AMT_assign('AMV_useronline_headline',  ""._useronline_headline_."");
		$AMV_useronline_tpl -> AMT_assign('AMV_useronline_values',    "".$AMV_uonline_header."".$AMV_uonline_body."".$AMV_uonline_footer."");
	$AMV_useronline_tpl -> AMT_tpl_print();	
	// <-- END merge components -------------------------------------------------------------------------------------------------------


}
// <-- END parsing site -------------------------------------------------------------------------------------------------------------------
?>












































































































































































































































































































































<?PHP
// better you leave this line intact !!
echo "<br>".$_AMVusrcfg['cfg_copyright_value']."";
?>