<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_overview.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 12, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// BEGIN create DB status -----------------------------------------------------------------------------------------------------------------
$AMV_admin_overview_dbstatusV = "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\" class=\"AMTtblborder\">";
$AMV_dbstatusquery = @AMS_sql_query("SHOW STATUS",  $_AMVconfig['sql_connect']);
while($AMV_dbstatusarray = @AMS_sql_fetch_array($AMV_dbstatusquery, $_AMVconfig['sql_connect']))
{
	if(!ereg("Com_", $AMV_dbstatusarray['0']))
	{
		$AMV_admin_overview_dbstatusV .= "<tr class=\"AMTsmalltext\"><td>$AMV_dbstatusarray[0]: ";
		$AMV_admin_overview_dbstatusV .= "</td><td><div align=\"right\"><b>$AMV_dbstatusarray[1]</b></div></td></tr>";
	}
}
$AMV_dbstatusquery .= "</table>";
// END create DB status -------------------------------------------------------------------------------------------------------------------


// BEGIN create config info ---------------------------------------------------------------------------------------------------------------
$AMV_configquery = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_config']."", $_AMVconfig['sql_connect']);
$AMV_configarray = AMS_sql_fetch_array($AMV_configquery, $_AMVconfig['sql_connect']);
$i=0;
$AMV_admin_overview_configstatusV = "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\" class=\"AMTtblborder\">";
foreach ($AMV_configarray as $key => $value) 
{
	if($key != $i)
	{
		$AMV_admin_overview_configstatusV .= "<tr class=\"AMTsmalltext\"><td>$key:</td><td><div align=\"right\"><b>$value</b></td></tr>\n";
		$i++;
	}
}
$AMV_admin_overview_configstatusV .= "</table>";


$AMV_overview_get = //require_once("".$_AMVconfig['cfg_serverpath']."/include/template.inc.php");
$AMV_overview_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_overview.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_overview_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_overview_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_overview_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_overview_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_overview_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_overview_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_overview_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	
	// admin global text
	
	$AMV_overview_tpl -> AMT_assign('AMV_admin_overview_headline',           ""._admin_overview_headline_."");
	$AMV_overview_tpl -> AMT_assign('AMV_admin_overview_configheadline',     ""._admin_overview_configheadline_."");
	$AMV_overview_tpl -> AMT_assign('AMV_admin_overview_dbstatusheadline',   ""._admin_overview_dbstatusheadline_."");
		
	$AMV_overview_tpl -> AMT_assign('AMV_admin_overview_dbstatusV',          "$AMV_admin_overview_dbstatusV");
	$AMV_overview_tpl -> AMT_assign('AMV_admin_overview_configstatusV',      "$AMV_admin_overview_configstatusV");
	
$AMV_overview_tpl -> AMT_tpl_print();

?>