<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_overview.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 12, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update config ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['sent']))
{
	if(!empty($HTTP_POST_VARS['globalcfg_mainfile']))
	{
		if(is_numeric($HTTP_POST_VARS['DD'])   ||
		   is_numeric($HTTP_POST_VARS['MM'])   ||
		   is_numeric($HTTP_POST_VARS['YYYY']) ||
		   is_numeric($HTTP_POST_VARS['HH'])   ||
		   is_numeric($HTTP_POST_VARS['II'])   ||
		   is_numeric($HTTP_POST_VARS['SS']))
		{
			$AMV_update_installdate = strtotime("".$HTTP_POST_VARS['YYYY']."-".$HTTP_POST_VARS['MM']."-".$HTTP_POST_VARS['DD']." ".$HTTP_POST_VARS['HH'].":".$HTTP_POST_VARS['II'].":".$HTTP_POST_VARS['SS'].""."");
		}
		else
		{
			$AMV_update_installdate = $_AMVusrcfg['globalcfg_installdate'];
		}
		
		$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_config']." SET globalcfg_site_name         = '".$HTTP_POST_VARS['globalcfg_sitename']."',
		                                                                      globalcfg_site_description  = '".$HTTP_POST_VARS['globalcfg_sitedescription']."',
		                                                                      globalcfg_site_url          = '".$HTTP_POST_VARS['globalcfg_siteurl']."',
		                                                                      globalcfg_installdate       = '".$AMV_update_installdate."',
		                                                                      globalcfg_mainfile          = '".$HTTP_POST_VARS['globalcfg_mainfile']."',
		                                                                      globalcfg_openvar           = '".$HTTP_POST_VARS['globalcfg_openvar']."',
		                                                                      globalcfg_includeheader     = '".$HTTP_POST_VARS['globalcfg_includeheader']."',
		                                                                      globalcfg_includefooter     = '".$HTTP_POST_VARS['globalcfg_includefooter']."',
		                                                                      globalcfg_language          = '".$HTTP_POST_VARS['globalcfg_language']."',
		                                                                      globalcfg_template          = '".$HTTP_POST_VARS['globalcfg_template']."'", $_AMVconfig['sql_connect']);
	}
	if(isset($AMV_update))
	{
		$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	// --> BEGIN loading user configuration ---------------------------------------------------------------------------------------------------
	$_AMVusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_config']."",$_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	// <-- END loading user configuration -----------------------------------------------------------------------------------------------------	
}	                                                                      
// <-- END update config ------------------------------------------------------------------------------------------------------------------


// --> BEGIN getting openvar --------------------------------------------------------------------------------------------------------------
if($_AMVusrcfg['globalcfg_openvar'] == '?')
{
	$AMV_admin_configsurroundings_openvar_selected1 = 'selected';
	$AMV_admin_configsurroundings_openvar_selected2	= '';
}
else
{
	$AMV_admin_configsurroundings_openvar_selected1 = '';
	$AMV_admin_configsurroundings_openvar_selected2	= 'selected';
}
// <-- END getting openvar ----------------------------------------------------------------------------------------------------------------


// --> BEGIN getting languages ------------------------------------------------------------------------------------------------------------
@$AMV_chdir = chdir("".$_AMVconfig['cfg_serverpath']."/language/"); 
if($AMV_chdir)
{
	$_AMV_obj_languagepulldown  = "\r\r\t\t<select name=\"globalcfg_language\" class=\"AMTselectfield\">\n";
	$AMV_opendir=opendir('.');
	while (false !== ($AMV_languages = readdir ($AMV_opendir))) 
	{
	
		if ($AMV_languages != "." && $AMV_languages != ".." && !ereg("_private",  $AMV_languages) && !ereg("_vit_cnf",  $AMV_languages) && !ereg("_vti_log",  $AMV_languages) && !ereg("_vti_pvt",  $AMV_languages) && !ereg("_vit_script",  $AMV_languages) && !ereg("_vti_txt",  $AMV_languages) && !ereg(".htaccess",  $AMV_languages) && !ereg(".htpasswd",  $AMV_languages))
		{ 
	        	$_AMV_obj_languagepulldown .= "<option value=\"".$AMV_languages."\"";
	        	if($AMV_languages == $_AMVusrcfg['globalcfg_language'])
	        	{
	        		$_AMV_obj_languagepulldown .= " selected ";
	        	}
	        	$_AMV_obj_languagepulldown .= ">$AMV_languages</option>"; 
	    }
	}
	closedir($AMV_opendir);
	@$AMV_chdir = chdir("".$_AMVconfig['cfg_serverpath']."");
	$_AMV_obj_languagepulldown .= "\r\r\t\t</select>";
	$_AMV_obj_languagepulldown .= "";
}
// <-- END getting languages --------------------------------------------------------------------------------------------------------------


// --> BEGIN getting templates ------------------------------------------------------------------------------------------------------------
@$AMV_chdir = chdir("".$_AMVconfig['cfg_serverpath']."/template/"); 
if($AMV_chdir)
{
	$_AMV_obj_templatepulldown  = "\r\r\t\t<select name=\"globalcfg_template\" class=\"AMTselectfield\">\n";
	$AMV_opendir=opendir('.');
	while (false !== ($AMV_templates = readdir ($AMV_opendir))) 
	{
	
		if ($AMV_templates != "." && $AMV_templates != ".." && !ereg("_private",  $AMV_templates) && !ereg("_vit_cnf",  $AMV_templates) && !ereg("_vti_log",  $AMV_templates) && !ereg("_vti_pvt",  $AMV_templates) && !ereg("_vit_script",  $AMV_templates) && !ereg("_vti_txt",  $AMV_templates) && !ereg(".htaccess",  $AMV_templates) && !ereg(".htpasswd",  $AMV_templates))
		{ 
	        	$_AMV_obj_templatepulldown .= "<option value=\"".$AMV_templates."\"";
	        	if($AMV_templates == $_AMVusrcfg['globalcfg_template'])
	        	{
	        		$_AMV_obj_templatepulldown .= " selected ";
	        	}
	        	$_AMV_obj_templatepulldown .= ">$AMV_templates</option>"; 
	    }
	}
	closedir($AMV_opendir);
	@$AMV_chdir = chdir("".$_AMVconfig['cfg_serverpath']."");
	$_AMV_obj_templatepulldown .= "\r\r\t\t</select>";
	$_AMV_obj_templatepulldown .= "";
}
// <-- END getting templates --------------------------------------------------------------------------------------------------------------


$AMV_surroundings_get = require_once("".$_AMVconfig['cfg_serverpath']."/include/template.inc.php");
$AMV_surroundings_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_surroundings.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	// text
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_headline',               ""._admin_configsurroundings_headline_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_sitename',               ""._admin_configsurroundings_sitename_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_sitedescription',        ""._admin_configsurroundings_sitedescription_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_siteurl',                ""._admin_configsurroundings_siteurl_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_openfile',               ""._admin_configsurroundings_openfile_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_openvar',                ""._admin_configsurroundings_openvar_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_defaultlanguage',        ""._admin_configsurroundings_defaultlanguage_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_defaulttemplate',        ""._admin_configsurroundings_defaulttemplate_.""); 
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_includeheader',          ""._admin_configsurroundings_includeheader_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_includefooter',          ""._admin_configsurroundings_includefooter_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_statsactive',            ""._admin_configsurroundings_statsactive_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_installdate',            ""._admin_configsurroundings_installdate_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_global_yes',                                ""._admin_global_yes_."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_global_no',                                 ""._admin_global_no_."");
	// values
	$AMV_surroundings_tpl -> AMT_assign('DDV',                                                 date("d",$_AMVusrcfg['globalcfg_installdate']));
	$AMV_surroundings_tpl -> AMT_assign('MMV',                                                 date("m",$_AMVusrcfg['globalcfg_installdate']));
	$AMV_surroundings_tpl -> AMT_assign('YYYYV',                                               date("Y",$_AMVusrcfg['globalcfg_installdate']));
	$AMV_surroundings_tpl -> AMT_assign('HHV',                                                 date("H",$_AMVusrcfg['globalcfg_installdate']));
	$AMV_surroundings_tpl -> AMT_assign('IIV',                                                 date("i",$_AMVusrcfg['globalcfg_installdate']));
	$AMV_surroundings_tpl -> AMT_assign('SSV',                                                 date("s",$_AMVusrcfg['globalcfg_installdate']));

	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_includeheaderV',         "".$_AMVusrcfg['globalcfg_includeheader']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_includefooterV',         "".$_AMVusrcfg['globalcfg_includefooter']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_sitenameV',              "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_sitedescriptionV',       "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_siteurlV',               "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_openfileV',              "".$_AMVusrcfg['globalcfg_mainfile']."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_openvar_selected1',      "".$AMV_admin_configsurroundings_openvar_selected1."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_admin_configsurroundings_openvar_selected2',      "".$AMV_admin_configsurroundings_openvar_selected2."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_obj_languagepulldown',                            "".$_AMV_obj_languagepulldown."");
	$AMV_surroundings_tpl -> AMT_assign('AMV_obj_templatepulldown',                            "".$_AMV_obj_templatepulldown."");
$AMV_surroundings_tpl -> AMT_tpl_print();
?>