<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/db_optimize.php                              */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 14, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php"); die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------

    
$AMV_dboptimize_header_get = //require_once("../include/template.inc.php");
$AMV_dboptimize_header_tpl = new AMT_Template("../template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_db_optimize_header.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_admin_db_optimize_headline',    ""._admin_db_optimize_headline_."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_admin_db_optimize_tablename',   ""._admin_db_optimize_tablename_."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_admin_db_optimize_latcheck',    ""._admin_db_optimize_latcheck_."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_admin_db_optimize_diskspace',   ""._admin_db_optimize_diskspace_."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_admin_db_optimize_tablestat',   ""._admin_db_optimize_tablestat_."");
	$AMV_dboptimize_header_tpl -> AMT_assign('AMV_admin_db_optimize_spacesaved',  ""._admin_db_optimize_spacesaved_."");

$AMV_dboptimize_header_tpl -> AMT_tpl_print();

$db_clean = $_AMVconfig['sql_dabaname'];
$tot_data = 0;
$tot_idx = 0;
$tot_all = 0;
$AMT_bodybg = "AMTbodybg";
$AMV_optimize_query = AMS_sql_query("SHOW TABLE STATUS FROM ".$_AMVconfig['sql_dabaname']."", $_AMVconfig['sql_connect']);
if (AMS_sql_num_rows($AMV_optimize_query, $_AMVconfig['sql_connect']))
{
	while ($AMV_optimize_array = AMS_sql_fetch_array($AMV_optimize_query, $_AMVconfig['sql_connect'])) 
	{
		$total = $AMV_optimize_array['Data_length'] + $AMV_optimize_array['Index_length'];
		$total = $total / 1024 ;
		$total = round ($total,3);
		$gain = $AMV_optimize_array['Data_free'] / 1024 ;
		$gain = round ($gain,3);  
		$AMV_name = $AMV_optimize_array['0'];
		$AMV_size = "".$total." Kb"; 
		$resultat  = AMS_sql_query("OPTIMIZE TABLE '".$AMV_optimize_array['0']."'", $_AMVconfig['sql_connect']);
		if ($gain == 0) { $AMV_stat = ""._admin_db_optimize_isoptimized_.""; $AMV_gain = "0 Kb"; } else { $AMV_stat = "<b>"._admin_db_optimize_optimized_."</b>"; $AMV_gain = "<b>".$gain." Kb</b>"; }
		if(empty($AMV_optimize_array['Check_time'])){ $AMV_lastproof = ""._admin_db_optimize_unproofed_.""; } else { $AMV_lastproof = $AMV_optimize_array['Check_time']; };
		
		$AMV_check_table = AMS_sql_query("CHECK TABLE ".$AMV_name." QUICK", $_AMVconfig['sql_connect']);
		
		$AMV_dboptimize_body_get = //require_once("../include/template.inc.php");
		$AMV_dboptimize_body_tpl = new AMT_Template("../template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_db_optimize_body.tpl.html", __FILE__, __LINE__);
			
			$AMV_dboptimize_body_tpl -> AMT_assign('AMTclass',                     "".$AMT_bodybg."");
			$AMV_dboptimize_body_tpl -> AMT_assign('AMV_db_optimize_tablenameV',   "".$AMV_name."");
			$AMV_dboptimize_body_tpl -> AMT_assign('AMV_db_optimize_diskspaceV',   "".$AMV_size."");
			$AMV_dboptimize_body_tpl -> AMT_assign('AMV_db_optimize_lastcheckV',   "".$AMV_lastproof."");
			$AMV_dboptimize_body_tpl -> AMT_assign('AMV_db_optimize_tablestatV',   "".$AMV_stat."");
			$AMV_dboptimize_body_tpl -> AMT_assign('AMV_db_optimize_spacesavedV',  "".$AMV_gain."");
		
		$AMV_dboptimize_body_tpl -> AMT_tpl_print();

		if($AMT_bodybg == "AMTbodybg"){ $AMT_bodybg = "AMTbodybglight"; } else { $AMT_bodybg = "AMTbodybg"; }
	} 
}
$AMV_dboptimize_footer_get = //require_once("../include/template.inc.php");
$AMV_dboptimize_footer_tpl = new AMT_Template("../template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_db_optimize_footer.tpl.html", __FILE__, __LINE__);
	
	$AMV_dboptimize_footer_tpl -> AMT_assign('AMV_urltotemplate',                 "".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."/");


$AMV_dboptimize_footer_tpl -> AMT_tpl_print();
?>