<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./include/function.inc.php                           */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "function.inc.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------ 


if(!function_exists('AMV_check_docount'))
{
	function AMV_check_docount()
	{
		global $HTTP_COOKIE_VARS, $_AMVconfig, $_AMVusrcfg;
		
		if(isset($HTTP_COOKIE_VARS['AMVusrcfg']['AMV_block']) && $HTTP_COOKIE_VARS['AMVusrcfg']['AMV_block'] == '1')
		{
			return false;
			$AMV_false = 1;
		}
		$AMV_get = AMS_sql_num_rows(AMS_sql_query("SELECT  blockedvalues_id 
		                                           FROM    ".$_AMVconfig['tbl_blockedvalues']."
		                                           WHERE   blockedvalues_section = 'ipadr'
		                                           AND     blockedvalues_value   = '".$_AMVconfig['env_REMOTE_ADDR']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		if($AMV_get != '0')
		{
			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_blockedvalues']." 
			                             SET    blockedvalues_hits = blockedvalues_hits+1 
			                             WHERE  blockedvalues_section = 'ipadr'
			                             AND    blockedvalues_value   = '".$_AMVconfig['env_REMOTE_ADDR']."'", $_AMVconfig['sql_connect']);
			if(!AMV_user_blocked())
			{
			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_blockedvalues']." 
			                             SET    blockedvalues_visitors = blockedvalues_visitors+1 
			                             WHERE  blockedvalues_section = 'ipadr'
			                             AND    blockedvalues_value   = '".$_AMVconfig['env_REMOTE_ADDR']."'", $_AMVconfig['sql_connect']);
				
			}
			return false;
			$AMV_false = 1;
		}
		return true;
	}	
}

if(!function_exists('AMV_manage_entry'))
{
	function AMV_manage_entry()
	{
		global $_AMVconfig, $_AMVusrcfg;
		
		$AMV_deleteblockedip   = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_blockeduser']."  WHERE blocked_del    <= ".$_AMVconfig['date_countflag']."- ".$_AMVusrcfg['globalcfg_enablenewcount']."", $_AMVconfig['sql_connect']);
		$AMV_deletebycountflag = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_visitors']." WHERE visitors_countflag <= ".$_AMVconfig['date_countflag']."- 172800", $_AMVconfig['sql_connect']);
	}
}

if(!function_exists('AMV_user_blocked'))
{
	function AMV_user_blocked()
	{
		global $_AMVconfig;
		$AMV_resultipcheck          = AMS_sql_num_rows( AMS_sql_query("SELECT blocked_id FROM ".$_AMVconfig['tbl_blockeduser']." WHERE blocked_ipadr  = '".$_AMVconfig['env_REMOTE_ADDR']."'    AND blocked_type='visitor'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		$AMV_resultclient_hostcheck = AMS_sql_num_rows( AMS_sql_query("SELECT blocked_id FROM ".$_AMVconfig['tbl_blockeduser']." WHERE blocked_client = '".$_AMVconfig['env_HTTP_USER_AGENT']."' AND blocked_type='visitor' AND blocked_host = '".$_AMVconfig['env_HTTP_REMOTE_HOST']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		if($AMV_resultipcheck == "0" && $AMV_resultclient_hostcheck == "0" && AMV_check_docount()){
			return false;
		} else {
			return true;
		}
	}
}

if(!function_exists('AMV_insert_blocking'))
{
	function AMV_insert_blocking()
	{
		global $_AMVconfig;
		if(!AMV_user_blocked())
		{
			$AMV_query=AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_blockeduser']." VALUES ('', 'visitor', '".$_AMVconfig['date_dateonly']."', '".$_AMVconfig['date_countflag']."','".$_AMVconfig['env_REMOTE_ADDR']."','".$_AMVconfig['env_HTTP_USER_AGENT']."','".$_AMVconfig['env_HTTP_REMOTE_HOST']."')", $_AMVconfig['sql_connect']);
		}
	}
}

if(!function_exists('AMV_optimize_tables'))
{
	function AMV_optimize_tables()
	{
		
		global $_AMVconfig, $_AMVusrcfg;
	
		if($_AMVusrcfg['globalcfg_optimizedb'] < $_AMVconfig['date_countflag'] - $_AMVusrcfg['globalcfg_cleantables'])
		{
			$AMV_optimize = AMS_sql_query("OPTIMIZE TABLE   '".$_AMVconfig['tbl_user']."',
									'".$_AMVconfig['tbl_browseros']."',
									'".$_AMVconfig['tbl_dayaccess']."',
									'".$_AMVconfig['tbl_visitors']."',
									'".$_AMVconfig['tbl_blockeduser']."',
									'".$_AMVconfig['tbl_online']."',
									'".$_AMVconfig['tbl_maxdata']."',
									'".$_AMVconfig['tbl_config']."',
									'".$_AMVconfig['tbl_useragents']."',
									'".$_AMVconfig['tbl_pageviews']."',
									'".$_AMVconfig['tbl_referer']."',
									'".$_AMVconfig['tbl_detailhour']."',
									'".$_AMVconfig['tbl_detailday']."',
									'".$_AMVconfig['tbl_detailweek']."',
									'".$_AMVconfig['tbl_detailmonth']."',		 
									'".$_AMVconfig['tbl_detailyear']."'", $_AMVconfig['sql_connect']);
								    
			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_config']." SET globalcfg_optimizedb = '".$_AMVconfig['date_countflag']."'", $_AMVconfig['sql_connect']);
		}
		else
		{
			$AMV_optimize = false;
		}
		
		$AMV_clearrefs   = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_referer']." WHERE referer_referer LIKE '%".$_AMVconfig['cfg_scripturl']."%'", $_AMVconfig['sql_connect']);
		$AMV_deleteempty = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_pageviews']." WHERE uri = ''", $_AMVconfig['sql_connect']);
		$AMV_domain = str_replace ("www.","","".$_AMVconfig['cfg_scripturl']."");
		$AMV_domain = str_replace ("http://","","".$AMV_domain."");
		$AMV_domain = str_replace ("/","","$AMV_domain");
		$AMV_clearrefs = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_referer']." WHERE referer_referer LIKE '%$AMV_domain%'", $_AMVconfig['sql_connect']);
		
		return $AMV_optimize; 	
	}
}


if(!function_exists('AMV_getmonth'))
{
function AMV_getmonth($AMV_month)
{
	switch($AMV_month)
	{
		case "1":
			$AMV_return = ""._global_january_."";
			break;
		case "2":
			$AMV_return = ""._global_feburary_."";
			break;
		case "3":
			$AMV_return = ""._global_march_."";
			break;
		case "4":
			$AMV_return = ""._global_april_."";
			break;
		case "5":
			$AMV_return = ""._global_may_."";
			break;
		case "6":
			$AMV_return = ""._global_june_."";
			break;
		case "7":
			$AMV_return = ""._global_july_."";
			break;
		case "8":
			$AMV_return = ""._global_august_."";
			break;
		case "9":
			$AMV_return = ""._global_september_."";
			break;
		case "10":
			$AMV_return = ""._global_october_."";
			break;
		case "11":
			$AMV_return = ""._global_november_."";
			break;
		case "12":
			$AMV_return = ""._global_december_."";
			break;
	}
	
	return $AMV_return;
}
}

if(!function_exists('AMV_getday'))
{
function AMV_getday($AMV_day)
{
	switch($AMV_day)
	{
		case "0":
			$AMV_return = ""._global_sunday_."";
			break;
		case "1":
			$AMV_return = ""._global_monday_."";
			break;
		case "2":
			$AMV_return = ""._global_tuesday_."";
			break;
		case "3":
			$AMV_return = ""._global_wednesday_."";
			break;
		case "4":
			$AMV_return = ""._global_thursday_."";
			break;
		case "5":
			$AMV_return = ""._global_friday_."";
			break;
		case "6":
			$AMV_return = ""._global_saturday_."";
			break;
	}
	
	return $AMV_return;
}
}

if(!function_exists('AMV_getvalues_only'))
{	
function AMV_getvalues_only()
{
	global $_AMVconfig, $_AMVusrcfg;
	
	settype($return, 'array');
	
	$AMV_maxdata = AMS_sql_fetch_array(AMS_sql_query("SELECT maxdata_hits,maxdata_maxcurrent,maxdata_maxperday FROM ".$_AMVconfig['tbl_maxdata']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_return['hits']       = $AMV_maxdata['maxdata_hits'];
	$AMV_return['maxonline']  = $AMV_maxdata['maxdata_maxcurrent'];
	$AMV_return['maxcurrent'] = $AMV_maxdata['maxdata_maxperday'];
	
	$AMV_visits=AMS_sql_fetch_array(AMS_sql_query("SELECT visitors_id FROM ".$_AMVconfig['tbl_visitors']." order by visitors_id DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_return['all'] = $AMV_visits['visitors_id'];
	
	$AMV_todayuser = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMVconfig['tbl_visitors']." where visitors_date='".$_AMVconfig['date_dateonly']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_return['today'] = $AMV_todayuser['total'];
	
	$AMV_yesterdayuser = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMVconfig['tbl_visitors']." where visitors_date='".$_AMVconfig['date_yesterday']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_return['yesterday'] = $AMV_yesterdayuser['total'];
	
	$AMV_online = AMS_sql_fetch_array(AMS_sql_query("SELECT Count(*) as total FROM ".$_AMVconfig['tbl_online']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_return['online'] = $AMV_online['total'];
	
	$AMV_return['install'] = $_AMVusrcfg['globalcfg_installdate'];
	
	return $AMV_return;
}
}

if(!function_exists('AMV_gethitsstats'))
{
function AMV_gethitsstats()
{
	global $_AMVconfig;
	
	settype($AMV_return, 'array');
	$AMV_detailyear  = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_detailyear']."  order by detailyear_hits  DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_detailmonth = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_detailmonth']." order by detailmonth_hits DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_detailweek  = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_detailweek']."  order by detailweek_hits  DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_detailday   = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_detailday']."   order by detailday_hits   DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	$AMV_detailhour  = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_detailhour']."  order by detailhour_hits  DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	
	$AMV_return['year']['year']  = $AMV_detailyear['detailyear_year'];
	$AMV_return['year']['hits']  = $AMV_detailyear['detailyear_hits'];

	$AMV_return['month']['year'] = $AMV_detailmonth['detailmonth_year'];
	$AMV_return['month']['month']= $AMV_detailmonth['detailmonth_month'];
	$AMV_return['month']['hits'] = $AMV_detailmonth['detailmonth_hits'];
	
	$AMV_return['week']['year']  = $AMV_detailweek['detailweek_year'];
	$AMV_return['week']['month'] = $AMV_detailweek['detailweek_month'];
	$AMV_return['week']['week']  = $AMV_detailweek['detailweek_week'];
	$AMV_return['week']['hits']  = $AMV_detailweek['detailweek_hits'];

	$AMV_return['day']['year']   = $AMV_detailday['detailday_year'];
	$AMV_return['day']['month']  = $AMV_detailday['detailday_month'];
	$AMV_return['day']['week']   = $AMV_detailday['detailday_week'];
	$AMV_return['day']['day']    = $AMV_detailday['detailday_day'];
	$AMV_return['day']['hits']   = $AMV_detailday['detailday_hits'];
	
	$AMV_return['hour']['year']   = $AMV_detailhour['detailhour_year'];
	$AMV_return['hour']['month']  = $AMV_detailhour['detailhour_month'];
	$AMV_return['hour']['week']   = $AMV_detailhour['detailhour_week'];
	$AMV_return['hour']['day']    = $AMV_detailhour['detailhour_day'];
	$AMV_return['hour']['hour']   = $AMV_detailhour['detailhour_hour'];
	$AMV_return['hour']['hits']   = $AMV_detailhour['detailhour_hits'];
	
	return $AMV_return;
}
}

if(!function_exists('AMV_get_maxdata'))
{
function AMV_get_maxdata($AMV_maxdata)
{
	
	global $_AMVconfig;

	$AMV_maxdata = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_maxdata']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	
	return $AMV_maxdata;
}
}
// -->----------------------------/////////////////////////////////////////////////////////////////////////////////////////////////////////
// -->  BEGIN COUNTING FUNCTIONS  /////////////////////////////////////////////////////////////////////////////////////////////////////////
// -->----------------------------/////////////////////////////////////////////////////////////////////////////////////////////////////////


// --> BEGIN COUNTING VISITORS ------------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_visitor'))
{
	function AMV_count_visitor()
	{
	
		global $_AMVconfig;
		if(AMV_check_docount())
		{
			if(!AMV_user_blocked())
			{
				$AMV_query1 = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_visitors']." VALUES ('', '".$_AMVconfig['env_REMOTE_ADDR']."','".$_AMVconfig['env_HTTP_USER_AGENT']."','".$_AMVconfig['date_countflag']."','".$_AMVconfig['date_dateonly']."')", $_AMVconfig['sql_connect']);	
			}
			$AMV_query2 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_maxdata']." SET maxdata_hits = maxdata_hits+1", $_AMVconfig['sql_connect']);		
		}
	}
}
// <-- END COUNTING VISITORS --------------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING LANGUAGE ------------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_language'))
{
	function AMV_count_language()
	{
		global $_AMVconfig;
		$AMV_getlang = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_languages']." WHERE language_id !='1' order by language_order", $_AMVconfig['sql_connect']);
		$AMV_userlang = @explode (",", getenv("HTTP_ACCEPT_LANGUAGE"));
		$AMV_userlang = $AMV_userlang['0'];
		if(!empty($AMV_userlang))
		{
			while($AMV_lang = AMS_sql_fetch_array($AMV_getlang, $_AMVconfig['sql_connect']))
			{
				$AMV_lang['language_strings'] = str_replace (" ", "", $AMV_lang['language_strings']);
				$AMV_language_strings = $AMV_lang['language_strings'];
				$AMV_language_strings = explode (",", $AMV_language_strings);
				$AMV_length = count($AMV_language_strings);
				for ($i = 0; $i < $AMV_length; $i++) 
				{
   					if($AMV_language_strings[$i] == $AMV_userlang)
   					{
   						$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET language_hits = language_hits+1 WHERE language_id ='".$AMV_lang['language_id']."'",  $_AMVconfig['sql_connect']);
						if(!AMV_user_blocked()) {
							$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET language_visitors = language_visitors+1 WHERE language_id ='".$AMV_lang['language_id']."'",  $_AMVconfig['sql_connect']);
						}
   						
   						break;
   					}
				}
				if(isset($AMV_inserthit)) {
					break;
				}
			}
			if(!isset($AMV_inserthit))
			{
				$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET language_hits = language_hits+1 WHERE language_id ='0'",  $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET language_visitors = language_visitors+1 WHERE language_id ='0'",  $_AMVconfig['sql_connect']);
				}
			}
		}
		else
		{
			$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET language_hits = language_hits+1 WHERE language_id ='0'",  $_AMVconfig['sql_connect']);
			if(!AMV_user_blocked()){
				$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET language_visitors = language_visitors+1 WHERE language_id ='0'",  $_AMVconfig['sql_connect']);
			}	
		}
	}		
}
// <-- END COUNTING LANGUAGE --------------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING USER ONLINE ---------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_useronline'))
{
	function AMV_count_useronline()
	{
		global $_AMVconfig, $_AMVusrcfg, $AMV_site, $current_site;
	
		$AMV_fp = @fopen($_AMVconfig['env_SCRIPT_FILENAME'],"r"); 
		if($AMV_fp)
		{
			while (!feof($AMV_fp)) 
			{ 
				$linie = fgets($AMV_fp, 40960); 
				if(eregi("<AMV_useronlinetitle>(.*)</AMV_useronlinetitle>", $linie, $title)) 
				break; 
			} 
		}
		@fclose($AMV_fp);
	
		if(empty($title['1']))
		{
			$AMV_fp = fopen($_AMVconfig['env_SCRIPT_FILENAME'],"r"); 
		    	if($AMV_fp)
		    	{
		    		while (!feof($AMV_fp)) 
		    		{ 
		    			$linie = fgets($AMV_fp, 40960); 
		    			if(eregi("<title>(.*)</title>", $linie, $title)) 
		    			break; 
		    		} 
		    	}
		    	@fclose($AMV_fp);
		} 
		if(empty($title['1']))
		{
		  	$title['1'] = $_AMVconfig['env_SCRIPT_NAME'];
		}
		//settype($title, 'array');
		$AMV_sitename = $title['1'];	
		$AMV_getmaxdata = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_maxdata']."", $_AMVconfig['sql_connect']);
		$AMV_maxdata    = AMS_sql_fetch_array($AMV_getmaxdata, $_AMVconfig['sql_connect']);
	
		$AMV_deleteuser   = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_online']." WHERE online_date < ".$_AMVconfig['date_countflag']." - ".$_AMVusrcfg['globalcfg_dropuser']."", $_AMVconfig['sql_connect']);
		$AMV_deleteip     = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_online']." WHERE online_ip = '".$_AMVconfig['env_REMOTE_ADDR']."'", $_AMVconfig['sql_connect']);
		$AMV_deleteuser   = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_online']." WHERE online_ip = '' ", $_AMVconfig['sql_connect']); 
		if(AMV_check_docount()){
			$AMV_insertuser   = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_online']." VALUES ('','".$_AMVconfig['env_REMOTE_ADDR']."','".$_AMVconfig['date_countflag']."','".$AMV_sitename."')", $_AMVconfig['sql_connect']);
		}
		$AMV_numberonline = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMVconfig['tbl_online']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		$AMV_currentvalue = $AMV_numberonline['total'];
	
		if ($AMV_maxdata['maxdata_maxcurrent'] < $AMV_currentvalue){
		   	$AMV_newmaxcurrentvalue = $AMV_numberonline['total'];
		   	$AMV_updatemaxdata=AMS_sql_query("UPDATE ".$_AMVconfig['tbl_maxdata']." SET maxdata_maxcurrent = '".$AMV_newmaxcurrentvalue."'", $_AMVconfig['sql_connect']);
	   	}
	   	if($_AMVusrcfg['cfg_privacy_useronline'] == '1')
	   	{
			$AMV_uonlinetext = "<a href=\"javascript:void(0);\" onclick=\"window.open('".$_AMVconfig['cfg_scriptpath']."/index.php?AMV_open=uonline','useronlineview','width=650,height=200,scrollbars=yes,directories=no,resize=no,menuebar=no,status=no')\">".$AMV_currentvalue."</a>";
		}
		elseif($_AMVusrcfg['cfg_privacy_useronline'] == '0' && AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
		{
			$AMV_uonlinetext = "<a href=\"javascript:void(0);\" onclick=\"window.open('".$_AMVconfig['cfg_scriptpath']."/index.php?AMV_open=uonline','useronlineview','width=650,height=200,scrollbars=yes,directories=no,resize=no,menuebar=no,status=no')\">".$AMV_currentvalue."</a>";
		}
		else {
			$AMV_uonlinetext = $AMV_currentvalue;
		}
		return $AMV_uonlinetext;
	}
}
// <-- END COUNTING USER ONLINE -----------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING PAGEVIEWSTAT --------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_pageviews'))
{
	function AMV_count_pageviews()
	{
	
		global $_AMVconfig;
	
		if(AMV_check_docount())
		{
			$AMV_page_exists = AMS_sql_num_rows(AMS_sql_query("SELECT pageviews_uri FROM ".$_AMVconfig['tbl_pageviews']." WHERE pageviews_uri = '".$_AMVconfig['env_SCRIPT_NAME']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			if($AMV_page_exists == '0')
			{	
				$AMV_newpview = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_pageviews']." VALUES('','$_AMVconfig[env_SCRIPT_NAME]','1','1')", $_AMVconfig['sql_connect']);
			} 
			else 
				{
				$AMV_updatepview = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_pageviews']." SET pageviews_hits = pageviews_hits+1 WHERE pageviews_uri = '$_AMVconfig[env_SCRIPT_NAME]'", $_AMVconfig['sql_connect']);
				$AMV_getblocked = AMS_sql_num_rows(AMS_sql_query("SELECT blocked_type FROM ".$_AMVconfig['tbl_blockeduser']." WHERE blocked_type = '".$_AMVconfig['env_SCRIPT_NAME']."' AND blocked_ipadr='".$_AMVconfig['env_REMOTE_ADDR']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
				if($AMV_getblocked == '0')
				{
					$AMV_updatepview = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_pageviews']." SET pageviews_visitors = pageviews_visitors+1 WHERE pageviews_uri = '$_AMVconfig[env_SCRIPT_NAME]'", $_AMVconfig['sql_connect']);
					$AMV_insertblock = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_blockeduser']." VALUES ('', '".$_AMVconfig['env_SCRIPT_NAME']."', '".$_AMVconfig['date_dateonly']."', '".$_AMVconfig['date_countflag']."','".$_AMVconfig['env_REMOTE_ADDR']."','".$_AMVconfig['env_HTTP_USER_AGENT']."','".$_AMVconfig['env_HTTP_REMOTE_HOST']."')", $_AMVconfig['sql_connect']);
				}
			}
		}
	}
}
// <-- END COUNTING PAGEVIEWSTAT ----------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING USERAGENT -----------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_useragent'))
{
	function AMV_count_useragent()
	{
		global $_AMVconfig;
	
		if(AMV_check_docount())
		{
			if(!empty($_AMVconfig['env_HTTP_USER_AGENT']))
			{
				$AMV_blocked_useragents = AMS_sql_fetch_array(AMS_sql_query("SELECT   blockedvalues_id   
				                                                             FROM     ".$_AMVconfig['tbl_blockedvalues']." 
				                                                             WHERE    blockedvalues_value   = '".$_AMVconfig['env_HTTP_USER_AGENT']."'
				                                                             AND      blockedvalues_section = 'useragent'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
				if(isset($AMV_blocked_referer['blockedvalues_id']) && !empty($AMV_blocked_referer['blockedvalues_id']))
				{                                                         
					$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_blockedvalues']."
					                             SET    blockedvalues_hits=blockedvalues_hits+1
					                             WHERE  blockedvalues_id = '".$AMV_blocked_useragents['blockedvalues_id']."'", $_AMVconfig['sql_connect']);
					if(!AMV_user_blocked())
					{
						$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_blockedvalues']."
					                                     SET    blockedvalues_visitors=blockedvalues_visitors+1
					                                     WHERE  blockedvalues_id = '".$AMV_blocked_useragents['blockedvalues_id']."'", $_AMVconfig['sql_connect']);
					}
				}
				else
				{				
					$AMV_useragent_exists = AMS_sql_num_rows(AMS_sql_query("SELECT useragents_string FROM ".$_AMVconfig['tbl_useragents']." WHERE useragents_string = '".$_AMVconfig['env_HTTP_USER_AGENT']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
					if($AMV_useragent_exists == '0')
					{	
						$AMV_newuagent = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_useragents']." VALUES('','".$_AMVconfig['env_HTTP_USER_AGENT']."','1','1','".$_AMVconfig['date_countflag']."')", $_AMVconfig['sql_connect']);
					} 
					else 
					{
						$AMV_updateuagent = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_useragents']." SET useragents_hits=useragents_hits+1, useragents_date ='".$_AMVconfig['date_countflag']."' WHERE useragents_string = '".$_AMVconfig['env_HTTP_USER_AGENT']."'", $_AMVconfig['sql_connect']);
						if(!AMV_user_blocked())
						{
							$AMV_updateuagent = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_useragents']." SET useragents_visitors=useragents_visitors+1 WHERE useragents_string = '".$_AMVconfig['env_HTTP_USER_AGENT']."'", $_AMVconfig['sql_connect']);
						}
					}
				}
			}
		}
	}
}
// <-- END COUNTING USERAGENT -------------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING REFERER -------------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_referer'))
{
	function AMV_count_referer()
	{
	
		global $_AMVconfig;
	
		if(AMV_check_docount())
		{
			if(!empty($_AMVconfig['env_HTTP_REFERER']))
			{
				$AMV_urlparse = parse_url($_AMVconfig['cfg_scripturl']);
				if(!stristr($_AMVconfig['env_HTTP_REFERER'], $AMV_urlparse['host']))
				{
					$AMV_blocked_referer = AMS_sql_fetch_array(AMS_sql_query("SELECT   blockedvalues_id   
					                                                          FROM     ".$_AMVconfig['tbl_blockedvalues']." 
					                                                          WHERE    blockedvalues_value   = '".$_AMVconfig['env_HTTP_REFERER']."'
					                                                          AND      blockedvalues_section = 'referer'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
					if(isset($AMV_blocked_referer['blockedvalues_id']) && !empty($AMV_blocked_referer['blockedvalues_id']))
					{                                                         
						$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_blockedvalues']."
						                             SET    blockedvalues_hits=blockedvalues_hits+1
						                             WHERE  blockedvalues_id = '".$AMV_blocked_referer['blockedvalues_id']."'", $_AMVconfig['sql_connect']);
						if(!AMV_user_blocked())
						{
							$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_blockedvalues']."
						                                     SET    blockedvalues_visitors=blockedvalues_visitors+1
						                                     WHERE  blockedvalues_id = '".$AMV_blocked_referer['blockedvalues_id']."'", $_AMVconfig['sql_connect']);
						}
					}
					else
					{
							$AMV_referer_exists = AMS_sql_num_rows(AMS_sql_query("SELECT referer_referer 
						                                                      FROM   ".$_AMVconfig['tbl_referer']." 
						                                                      WHERE  referer_referer = '".$_AMVconfig['env_HTTP_REFERER']."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
						if($AMV_referer_exists == '0')
						{	
							$AMV_newrefview = AMS_sql_query("INSERT 
							                                 INTO ".$_AMVconfig['tbl_referer']." 
							                                 VALUES('',
							                                        '".$_AMVconfig['env_HTTP_REFERER']."',
							                                        '1',
							                                        '0',
							                                        '".$_AMVconfig['date_countflag']."')", $_AMVconfig['sql_connect']);
						} 
						else 
						{
							$AMV_updaterefview = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_referer']." 
							                                    SET    referer_hits=referer_hits+1, 
							                                           referer_date ='".$_AMVconfig['date_countflag']."' 
							                                    WHERE  referer_referer = '".$_AMVconfig['env_HTTP_REFERER']."'", $_AMVconfig['sql_connect']);		
						}
						if(!AMV_user_blocked())
						{
							$AMV_updatereferer = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_referer']." SET referer_visitors=referer_visitors+1 WHERE referer_referer = '".$_AMVconfig['env_HTTP_REFERER']."'", $_AMVconfig['sql_connect']);
						}
					}
				}
			} 
		}
	}
}
// <-- END COUNTING REFERER ---------------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING BOTS&KEYWORDS -------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_bots'))
{
	function AMV_count_bots()
	{
		global $_AMVconfig, $_AMVusrcfg;
	
		if(AMV_check_docount())
		{
			if(!empty($_AMVconfig['env_HTTP_REFERER']))
			{
				$AMV_urlparse = parse_url($_AMVconfig['env_HTTP_REFERER']);
				$AMV_get_bots = AMS_sql_query("SELECT   bots_id, 
				                                        bots_referer, 
				                                        bots_queryvar 
				                               FROM     ".$_AMVconfig['tbl_bots']."
				                               ORDER BY bots_order", $_AMVconfig['sql_connect']);
				while($AMV_bots = AMS_sql_fetch_array($AMV_get_bots, $_AMVconfig['sql_connect']))
				{
					if(ereg("$AMV_bots[bots_referer]", $AMV_urlparse['host']))
					{
						$AMV_update  = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_bots']."	
						                              SET    bots_hits=bots_hits+1
						                              WHERE  bots_id = '".$AMV_bots['bots_id']."'", $_AMVconfig['sql_connect']);
						if(!AMV_user_blocked())
						{
							$AMV_update2 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_bots']." 
							                              SET    bots_visitors=bots_visitors+1
							                              WHERE  bots_id = '".$AMV_bots['bots_id']."'", $_AMVconfig['sql_connect']);
						}
						if(!empty($AMV_urlparse['query']))
						{	
							$AMV_urlparse['query'] = AMV_clean_specialchar($AMV_urlparse['query']);
							$AMV_urlparse['query'] = urldecode($AMV_urlparse['query']);
							$AMV_urlparse['query'] = rawurldecode($AMV_urlparse['query']);
							
							$AMV_queryvar = explode(";", $AMV_bots['bots_queryvar']);
							foreach ($AMV_queryvar as $AMV_queryvarK => $AMV_queryvarV)
							{
								$AMV_searchvar = $AMV_queryvarV;
								parse_str($AMV_urlparse['query']);
								if(isset($$AMV_searchvar))
								{		
									$AMV_check = AMS_sql_num_rows(AMS_sql_query("SELECT keyword_id 
									                                             FROM   ".$_AMVconfig['tbl_keywords']."
									                                             WHERE  keyword_phrase = '".$$AMV_searchvar."'", $_AMVconfig['sql_connect']),
									                                                                                             $_AMVconfig['sql_connect']);
									if(!isset($AMV_check) || empty($AMV_check) || $AMV_check == '0')
									{
										$AMV_insert = AMS_sql_query("INSERT 
										                             INTO   ".$_AMVconfig['tbl_keywords']." 
										                             VALUES ('',
										                                     '".$$AMV_searchvar."',
										                                     '".$_AMVconfig['date_countflag']."',
										                                     '1',
										                                     '0')", $_AMVconfig['sql_connect']);
									}
									else
									{
										$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_keywords']." 
										                             SET    keyword_hits = keyword_hits+1
										                             WHERE  keyword_phrase = '".$$AMV_searchvar."'", $_AMVconfig['sql_connect']);
									}
									if(!AMV_user_blocked())
									{
										AMS_sql_query("UPDATE ".$_AMVconfig['tbl_keywords']."
										               SET    keyword_visitors = keyword_visitors+1
										               WHERE  keyword_phrase   = '".$$AMV_searchvar."'", $_AMVconfig['sql_connect']);
									}
								}
							}
						}
					}
				}
			}	
		}	
	}	
}
// <-- END COUNTING BOTS&KEYWORDS ---------------------------------------------------------------------------------------------------------


// --> BEGIN specialcar cleaning ----------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_clean_specialchar'))
{
	function AMV_clean_specialchar($AMV_var)
	{
		//                                                                                        
		$AMV_return = str_replace(array("%C3%A4", "%C3%84", "%C3%B6", "%C3%96", "%C3%BC", "%C3%9C", "%C3%9F"),
		                          array("%E4"   , "%C4"   , "%F6"   , "%D6"   , "%FC"   , "%DC"   , "%DF"   ),
		                          $AMV_var);
		return $AMV_return;
	}
}
// <-- END specialchar cleaning -----------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING DAYACCESS -----------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_dayaccess'))
{
	function AMV_count_dayaccess()
	{
		global $_AMVconfig, $_AMVusrcfg;
	
		if(AMV_check_docount())
		{
			$timeinhour = AMP_setdate("G", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
			$AMV_updatedayaccess = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_dayaccess']." SET dayaccess_hits = dayaccess_hits+1 WHERE dayaccess_time ='".$timeinhour."'", $_AMVconfig['sql_connect']);
			if(!AMV_user_blocked())
			{
				$AMV_updatereferer = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_dayaccess']." SET dayaccess_visitors=dayaccess_visitors+1 WHERE dayaccess_time = '".$timeinhour."'", $_AMVconfig['sql_connect']);
			}				

		}
	}
}
// <-- END COUNTING DAYACCESS -------------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING BROWSEROS -----------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_browseros'))
{
	function AMV_count_browseros()
	{
		global $_AMVconfig;
	
		if(AMV_check_docount())
		{
			$AMV_getbrowser = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type ='browser' AND browseros_var != 'Other' order by browseros_ordernr", $_AMVconfig['sql_connect']);
			while($AMV_browserarray = AMS_sql_fetch_array($AMV_getbrowser, $_AMVconfig['sql_connect']))
			{
				$AMV_browserarray['browseros_mustbe'] = str_replace (" ", "", $AMV_browserarray['browseros_mustbe']);
				$AMV_browser_strings = $AMV_browserarray['browseros_mustbe'];
				$AMV_browser_strings = explode (",", $AMV_browser_strings);
				$AMV_length = count($AMV_browser_strings);
				for ($i = 0; $i < $AMV_length; $i++) 
				{
	   				if(ereg("$AMV_browser_strings[$i]", $_AMVconfig['env_HTTP_USER_AGENT']))
	   				{
	   					$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_hits = browseros_hits+1 WHERE browseros_id ='".$AMV_browserarray['browseros_id']."'",  $_AMVconfig['sql_connect']);
						if(!AMV_user_blocked()) {
							$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_visitors = browseros_visitors+1 WHERE browseros_id ='".$AMV_browserarray['browseros_id']."'",  $_AMVconfig['sql_connect']);
						}		
	   					break;
	   				}
				}
				if(isset($AMV_inserthit)) {
					break;
				}
				
			}
			if(!isset($AMV_inserthit))
			{
	   			$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_hits = browseros_hits+1 WHERE browseros_id ='98'",  $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_visitors = browseros_visitors+1 WHERE browseros_id ='98'",  $_AMVconfig['sql_connect']);
				}		
			}
			unset($AMV_inserthit);

			$AMV_getos = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_browseros']." WHERE browseros_type ='os' AND browseros_var != 'Other' order by browseros_ordernr", $_AMVconfig['sql_connect']);
			while($AMV_osarray = AMS_sql_fetch_array($AMV_getos, $_AMVconfig['sql_connect']))
			{
				$AMV_osarray['browseros_mustbe'] = str_replace (" ", "", $AMV_osarray['browseros_mustbe']);
				$AMV_os_strings = $AMV_osarray['browseros_mustbe'];
				$AMV_os_strings = explode (",", $AMV_os_strings);
				$AMV_length = count($AMV_os_strings);
				for ($i = 0; $i < $AMV_length; $i++) 
				{
	   				if(ereg("$AMV_os_strings[$i]", $_AMVconfig['env_HTTP_USER_AGENT']))
	   				{
	   					$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_hits = browseros_hits+1 WHERE browseros_id ='".$AMV_osarray['browseros_id']."'",  $_AMVconfig['sql_connect']);
						if(!AMV_user_blocked()) {
							$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_visitors = browseros_visitors+1 WHERE browseros_id ='".$AMV_osarray['browseros_id']."'",  $_AMVconfig['sql_connect']);
						}		
	   					break;
	   				}
				}
				if(isset($AMV_inserthit)) {
					break;
				}
				
			}
			if(!isset($AMV_inserthit))
			{
	   			$AMV_inserthit = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_hits = browseros_hits+1 WHERE browseros_id ='99'",  $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET browseros_visitors = browseros_visitors+1 WHERE browseros_id ='99'",  $_AMVconfig['sql_connect']);
				}		
			}
			unset($AMV_inserthit);
		}
	}
}
// <-- END COUNTING BROWSEROS -------------------------------------------------------------------------------------------------------------


// --> BEGIN COUNTING FOR ACCESSLOG -------------------------------------------------------------------------------------------------------
if(!function_exists('AMV_count_accesslog'))
{
	function AMV_count_accesslog()
	{
		global $_AMVconfig, $_AMVusrcfg;
	
		if(AMV_check_docount())
		{	
			$AMV_thisyear    = AMP_setdate("Y", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
			$AMV_thismonth   = AMP_setdate("m", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
			$AMV_thisweek    = AMP_setdate("W", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);	
			$AMV_thisday     = AMP_setdate("d", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
			$AMV_thishour    = AMP_setdate("H", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
			$AMV_thisminute  = AMP_setdate("i", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']);
			
			// --> BEGIN YEAR COUNT -------------------------------------------------------------------------------------------
			$AMV_getthisyearentry = AMS_sql_fetch_array(AMS_sql_query("SELECT detailyear_year FROM ".$_AMVconfig['tbl_detailyear']." WHERE detailyear_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			if($AMV_getthisyearentry['detailyear_year']){
				$AMV_updateyear = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailyear']." SET detailyear_hits = detailyear_hits+1 WHERE detailyear_year = ".$AMV_thisyear."", $_AMVconfig['sql_connect']); 
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailyear']." SET detailyear_visitors = detailyear_visitors+1 WHERE detailyear_year = '".$AMV_thisyear."'",  $_AMVconfig['sql_connect']);
				}		
			} else{
				$AMV_happynewyear = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_detailyear']." VALUES ('".$AMV_thisyear."','1','1')", $_AMVconfig['sql_connect']);
			}
			// <-- END YEAR COUNT ---------------------------------------------------------------------------------------------
			
			
			// --> BEGIN MONTH COUNT ------------------------------------------------------------------------------------------
			$AMV_getthismonthentry = AMS_sql_fetch_array(AMS_sql_query("SELECT detailmonth_month FROM ".$_AMVconfig['tbl_detailmonth']." WHERE detailmonth_month = '".$AMV_thismonth."' AND detailmonth_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			if($AMV_getthismonthentry['detailmonth_month']) {
				$AMV_upadatemonth = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailmonth']." SET detailmonth_hits = detailmonth_hits+1 WHERE detailmonth_month = '".$AMV_thismonth."' AND detailmonth_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailmonth']." SET detailmonth_visitors = detailmonth_visitors+1 WHERE detailmonth_month = '".$AMV_thismonth."' AND detailmonth_year = '".$AMV_thisyear."'",  $_AMVconfig['sql_connect']);
				}		
			} else {
				$AMV_newmonth = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_detailmonth']." VALUES('".$AMV_thisyear."','".$AMV_thismonth."','1','1')", $_AMVconfig['sql_connect']);
			}
			// <-- END MONTH COUNT --------------------------------------------------------------------------------------------
			
			
			// --> BEGIN WEEK COUNT -------------------------------------------------------------------------------------------
			$AMV_getthisweekentry = AMS_sql_fetch_array(AMS_sql_query("SELECT detailweek_week FROM ".$_AMVconfig['tbl_detailweek']." WHERE detailweek_week = '".$AMV_thisweek."' AND detailweek_month = '".$AMV_thismonth."' AND detailweek_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			if($AMV_getthisweekentry['detailweek_week']) {
				$AMV_updateweek = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailweek']." SET detailweek_hits = detailweek_hits+1 WHERE detailweek_week = '".$AMV_thisweek."' AND detailweek_month = '".$AMV_thismonth."' AND detailweek_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailweek']." SET detailweek_visitors = detailweek_visitors+1 WHERE detailweek_week = '".$AMV_thisweek."' AND detailweek_month = '".$AMV_thismonth."' AND detailweek_year = '".$AMV_thisyear."'",  $_AMVconfig['sql_connect']);
				}		
			} else {
				$AMV_newweek = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_detailweek']." VALUES('".$AMV_thisyear."','".$AMV_thismonth."','".$AMV_thisweek."','1','1')", $_AMVconfig['sql_connect']);
			}
			// <-- END WEEK COUNT ---------------------------------------------------------------------------------------------
			
			
			// --> BEGIN DAY COUNT --------------------------------------------------------------------------------------------
			$AMV_getthisdayentry = AMS_sql_fetch_array(AMS_sql_query("SELECT detailday_day FROM ".$_AMVconfig['tbl_detailday']." WHERE detailday_day = '".$AMV_thisday."' AND detailday_week = '".$AMV_thisweek."' AND detailday_month = '".$AMV_thismonth."' AND detailday_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			if($AMV_getthisdayentry['detailday_day']){
				$AMV_updateday = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailday']." SET detailday_hits = detailday_hits+1 WHERE detailday_day = '".$AMV_thisday."' AND detailday_week = '".$AMV_thisweek."' AND detailday_month = '".$AMV_thismonth."' AND detailday_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailday']." SET detailday_visitors = detailday_visitors+1 WHERE detailday_day = '".$AMV_thisday."' AND detailday_week = '".$AMV_thisweek."' AND detailday_month = '".$AMV_thismonth."' AND detailday_year = '".$AMV_thisyear."'",  $_AMVconfig['sql_connect']);
				}
			} else {
				$AMV_newday = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_detailday']." VALUES('".$AMV_thisyear."','".$AMV_thismonth."','".$AMV_thisweek."','".$AMV_thisday."','1','1')", $_AMVconfig['sql_connect']);
			}
			// <-- END DAY COUNT ----------------------------------------------------------------------------------------------
			
			
			// --> BEGIN HOUR COUNT -------------------------------------------------------------------------------------------
			$AMV_getthishourentry = AMS_sql_fetch_array(AMS_sql_query("SELECT detailhour_hour FROM ".$_AMVconfig['tbl_detailhour']." WHERE detailhour_hour = '".$AMV_thishour."' AND detailhour_day = '".$AMV_thisday."' AND detailhour_week = '".$AMV_thisweek."' AND detailhour_month = '".$AMV_thismonth."' AND detailhour_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			if($AMV_getthishourentry['detailhour_hour']){
				$AMV_updatehour = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailhour']." SET detailhour_hits = detailhour_hits+1 WHERE detailhour_hour = '".$AMV_thishour."' AND detailhour_day = '".$AMV_thisday."' AND detailhour_week = '".$AMV_thisweek."' AND detailhour_month = '".$AMV_thismonth."' AND detailhour_year = '".$AMV_thisyear."'", $_AMVconfig['sql_connect']);
				if(!AMV_user_blocked()) {
					$AMV_updatevisitor = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_detailhour']." SET detailhour_visitors = detailhour_visitors+1 WHERE detailhour_hour = '".$AMV_thishour."' AND detailhour_day = '".$AMV_thisday."' AND detailhour_week = '".$AMV_thisweek."' AND detailhour_month = '".$AMV_thismonth."' AND detailhour_year = '".$AMV_thisyear."'",  $_AMVconfig['sql_connect']);
				}
			} else {
				$AMV_newour = AMS_sql_query("INSERT INTO ".$_AMVconfig['tbl_detailhour']." VALUES ('".$AMV_thisyear."','".$AMV_thismonth."','".$AMV_thisweek."','".$AMV_thisday."','".$AMV_thishour."','1','1')", $_AMVconfig['sql_connect']);
			}
			// <-- END HOUR COUNT ---------------------------------------------------------------------------------------------
		}
	}
}
// <-- END COUNTING FOR ACCESSLOG ---------------------------------------------------------------------------------------------------------


// <---------------------------////////////////////////////////////////////////////////////////////////////////////////////////////////////
// <--  END COUNTING FUNTIONS  ////////////////////////////////////////////////////////////////////////////////////////////////////////////
// <---------------------------////////////////////////////////////////////////////////////////////////////////////////////////////////////

if(!function_exists('AMV_user_all'))
{
	function AMV_user_all()
	{
		global $_AMVconfig;
						
		$AMV_visits=AMS_sql_fetch_array(AMS_sql_query("SELECT visitors_id FROM ".$_AMVconfig['tbl_visitors']." order by visitors_id DESC LIMIT 1", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		
		return $AMV_visits['visitors_id'];
	}
}


if(!function_exists('AMV_manage_usertoday'))
{
	function AMV_manage_usertoday()
	{
		global $_AMVconfig;
			
		$AMV_maxdata    = AMS_sql_fetch_array(AMS_sql_query("SELECT maxdata_maxperday FROM ".$_AMVconfig['tbl_maxdata']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		$AMV_todayuserarray = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMVconfig['tbl_visitors']." where visitors_date='$_AMVconfig[date_dateonly]'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
			
		if ($AMV_maxdata['maxdata_maxperday'] < $AMV_todayuserarray['total'])
		{
		       	$AMV_newmaxperdayvalue = $AMV_todayuserarray['total'];
		       	$AMV_updatemaxdata=AMS_sql_query("UPDATE ".$_AMVconfig['tbl_maxdata']." SET maxdata_maxperday = '$AMV_newmaxperdayvalue'", $_AMVconfig['sql_connect']);
	   	}
	   	return $AMV_todayuserarray['total'];
	}
}


if(!function_exists('AMV_user_yesterday'))
{
	function AMV_user_yesterday()
	{	
		global $_AMVconfig;
		
		$AMV_todayuseryesterdayarray = AMS_sql_fetch_array(AMS_sql_query("SELECT COUNT(*) as total FROM ".$_AMVconfig['tbl_visitors']." where visitors_date='$_AMVconfig[date_yesterday]'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		
		return $AMV_todayuseryesterdayarray['total'];
	}
}


if(!function_exists('AMV_check_adminlogin'))
{
	function AMV_check_adminlogin()
	{
	
		global $_AMVconfig, $HTTP_COOKIE_VARS;
	
		if(isset($HTTP_COOKIE_VARS[$_AMVconfig['cookie_name']]))
		{
			$AMV_cookieuid = $HTTP_COOKIE_VARS[$_AMVconfig['cookie_name']];
			$AMV_query  = AMS_sql_query("SELECT * FROM $_AMVconfig[tbl_user] WHERE user_session = '$AMV_cookieuid' AND user_status = '1'", $_AMVconfig['sql_connect']);
			$AMV_result = AMS_sql_fetch_array($AMV_query, $_AMVconfig['sql_connect']);
		}
		else
		{
			$AMV_result = false;
		}
		return $AMV_result;
	}
}


if(!function_exists('AMV_setlanguage'))
{
	function AMV_setlanguage()
	{
		global $_AMVlanguage, $_AMVusrcfg, $_AMVconfig, $HTTP_COOKIE_VARS;
	
		$return = include("".$_AMVconfig['cfg_serverpath']."/language/"."".$_AMVusrcfg['globalcfg_language']."/".$_AMVusrcfg['globalcfg_language'].".lang.php");
			
		return($_AMVlanguage);
	}
}


if(!function_exists('AMV_settemplate'))
{
	function AMV_settemplate()
	{
		global $_AMVusrcfg, $_AMVconfig, $HTTP_COOKIE_VARS;
	
		$AMV_template = $_AMVusrcfg['globalcfg_template'];
		
		return($AMV_template);
	}
}
















































if(!function_exists('AMP_my_handler'))
{
	function AMP_my_handler($sql_insert)
	{
		global $crlf;
		echo "$sql_insert;$crlf";
	}
}


if(!function_exists('AMP_get_tabledefinition'))
{
	function AMP_get_tabledefinition($db, $table, $crlf)
	{
		$schema_create  = "";
		$schema_create .= "DROP TABLE IF EXISTS $table;$crlf";
		$schema_create .= "CREATE TABLE $table ($crlf";
		$result = mysql_db_query($db, "SHOW FIELDS FROM $table") or mysql_die();
		while($row = mysql_fetch_array($result))
		{
			$schema_create .= "   $row[Field] $row[Type]";
			if(isset($row["Default"]) && (!empty($row["Default"]) || $row["Default"] == "0"))
			$schema_create .= " DEFAULT '$row[Default]'";
			if($row["Null"] != "YES")
			$schema_create .= " NOT NULL";
			if($row["Extra"] != "")
			$schema_create .= " $row[Extra]";
			$schema_create .= ",$crlf";
		}
		$schema_create = ereg_replace(",".$crlf."$", "", $schema_create);
		$result = mysql_db_query($db, "SHOW KEYS FROM $table") or mysql_die();
	
		while($row = mysql_fetch_array($result))
		{
			$kname=$row['Key_name'];
			if(($kname != "PRIMARY") && ($row['Non_unique'] == 0)) $kname="UNIQUE|$kname";
			if(!isset($index[$kname])) $index[$kname] = array();
			$index[$kname][] = $row['Column_name'];
		}
	
		while(list($x, $columns) = @each($index))
		{
			$schema_create .= ",$crlf";
			if($x == "PRIMARY")
			{
				$schema_create .= "   PRIMARY KEY (" . implode($columns, ", ") . ")";
			}
			elseif(substr($x,0,6) == "UNIQUE")
			{
				$schema_create .= "   UNIQUE ".substr($x,7)." (" . implode($columns, ", ") . ")";
			}
			else
			{
				$schema_create .= "   KEY $x (" . implode($columns, ", ") . ")";
			}
		}
		
		$schema_create .= "$crlf)";
		$schema_create .= "COMMENT = 'AllMyPHP,  2003 voice of web (http://www.voice-of-web.de)'";
		return (stripslashes($schema_create));
	}
}

if(!function_exists('AMP_get_tablecontent'))
{
	function AMP_get_tablecontent($db, $table, $handler)
	{
		$result = mysql_db_query($db, "SELECT * FROM $table") or mysql_die();
		$i = 0;
		while($row = mysql_fetch_row($result))
		{
			$table_list = "(";
				for($j=0; $j<mysql_num_fields($result);$j++)
				{
					$table_list .= mysql_field_name($result,$j).", ";
				}	
				$table_list = substr($table_list,0,-2);
			$table_list .= ")";
			
			if(isset($GLOBALS["showcolumns"]))
			{
				$schema_insert = "INSERT INTO $table $table_list VALUES (";
			}
			else
			{
				$schema_insert = "INSERT INTO $table VALUES (";
			}
			
			for($j=0; $j<mysql_num_fields($result);$j++)
			{
				if(!isset($row[$j]))
				{
					$schema_insert .= " NULL,";
				}
				elseif($row[$j] != "")
				{
					$schema_insert .= " '".addslashes($row[$j])."',";
				}
				else
				{
					$schema_insert .= " '',";
				}
			}
		
			$schema_insert = ereg_replace(",$", "", $schema_insert);
			$schema_insert .= ")";
			AMP_my_handler(trim($schema_insert));
			$i++;
		}
	return (true);
	}
}

if(!function_exists('AMP_get_entryschema'))
{
	function AMP_get_entryschema($db, $table,$entry, $handler)
	{
		$result = mysql_db_query($db, "SELECT * FROM ".$table." WHERE link_id = $entry") or mysql_die();
		$i = 0;
		while($row = mysql_fetch_row($result))
		{
			$table_list = "(";
				for($j=0; $j<mysql_num_fields($result);$j++)
				{
					$table_list .= mysql_field_name($result,$j).", ";
				}	
				$table_list = substr($table_list,0,-2);
			$table_list .= ")";
			
			if(isset($GLOBALS["showcolumns"]))
			{
				$schema_insert = "INSERT INTO $table $table_list VALUES (";
			}
			else
			{
				$schema_insert = "INSERT INTO $table VALUES (";
			}
			
			for($j=0; $j<mysql_num_fields($result);$j++)
			{
				if(!isset($row[$j]))
				{
					$schema_insert .= " NULL,";
				}
				elseif($row[$j] != "")
				{
					$schema_insert .= " '".addslashes($row[$j])."',";
				}
				else
				{
					$schema_insert .= " '',";
				}
			}
		
			$schema_insert = ereg_replace(",$", "", $schema_insert);
			$schema_insert .= ")";
			AMP_my_handler(trim($schema_insert));
			$i++;
		}
	return ($schema_insert);
	}
}
?>