<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/overview/records.lib.php                       */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "records.lib.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------

if($_AMVusrcfg['cfg_overview_records'] == '1')
{
	$AMV_stat_records_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-overview-records.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals -----------------------------------------------------------------------------------------------------
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_records',          ""._stats_overview_records_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_recordsV',         ""._stats_overview_recordsV_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_recordsH',         ""._stats_overview_recordsH_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestyear',         ""._stats_overview_bestyear_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestmonth',        ""._stats_overview_bestmonth_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestweek',         ""._stats_overview_bestweek_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestday',          ""._stats_overview_bestday_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_besthour',         ""._stats_overview_besthour_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_detailstatistics', ""._stats_overview_detailstatistics_."");	
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestyearV',        "".@$AMV_hitstats['year']['year']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestyearH',        "".@$AMV_hitstats['year']['hits']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestmonthV',       ""._global_month_." <b>".@$AMV_hitstats['month']['month']."</b> ".@$AMV_hitstats['month']['year']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestmonthH',       "".@$AMV_hitstats['month']['hits']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestweekV',        ""._global_week_." <b>".@$AMV_hitstats['week']['week']."</b>, ".@$AMV_hitstats['week']['month']." ".@$AMV_hitstats['week']['year']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestweekH',        "".@$AMV_hitstats['week']['hits']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestdayV',         "".@$AMV_hitstats['day']['day'].".".@$AMV_hitstats['day']['month'].".".@$AMV_hitstats['day']['year']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_bestdayH',         "".@$AMV_hitstats['day']['hits']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_besthourfrom',     ""._global_from_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_besthourV',        "".$AMV_statsoverview_besthour."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_besthourat',       ""._global_on_."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_besthouratV',      "".@$AMV_hitstats['hour']['day'].".".@$AMV_hitstats['hour']['month'].".".@$AMV_hitstats['hour']['year']."");
		$AMV_stat_records_tpl -> AMT_assign('AMV_statsoverview_besthourH',        "".@$AMV_hitstats['hour']['hits']."");
	$AMV_FILE_stats_overview_records = $AMV_stat_records_tpl -> AMT_tpl_var();	
	$AMV_FILE_stats_overview_records = $AMV_FILE_stats_overview_records.$AMV_sectionspacing;
}
else
{
	$AMV_FILE_stats_overview_records = "";
}