<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./stats/stats-overview.php                           */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "stats-overview.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


// --> BEGIN get show definition ----------------------------------------------------------------------------------------------------------
if($_AMVusrcfg['cfg_overview_showdefinition'] == 'hits') { $AMV_showdefinition =_global_hits_; }else { $AMV_showdefinition =_global_visitors_;}
// <-- END get show definition ------------------------------------------------------------------------------------------------------------


// --> BEGIN including summary ------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_summary'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/summary.lib.php"))
{
	die("can not load lib summary");
}
// <-- END including summary --------------------------------------------------------------------------------------------------------------


// --> BEGIN including records ------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_records'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/records.lib.php"))
{
	die("can not load lib records");
}
// <-- END including records --------------------------------------------------------------------------------------------------------------

// --> BEGIN including pageview -----------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_pageviews'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/pageviews.lib.php"))
{
	die("can not load lib pageviews");
}
// <-- END including pageview -------------------------------------------------------------------------------------------------------------


// --> BEGIN including referer ------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_referer'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/referer.lib.php"))
{
	die("can not load lib referer");
}
// <-- END including referer --------------------------------------------------------------------------------------------------------------


// --> BEGIN including useragents ---------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_useragents'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/useragents.lib.php"))
{
	die("can not load lib useragents");
}
// <-- END including useragents -----------------------------------------------------------------------------------------------------------


// --> BEGIN including useragents ---------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_browseros'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/browseros.lib.php"))
{
	die("can not load lib browseros");
}
// <-- END including useragents -----------------------------------------------------------------------------------------------------------


// --> BEGIN including useragents ---------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_language'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/language.lib.php"))
{
	die("can not load lib language");
}
// <-- END including useragents -----------------------------------------------------------------------------------------------------------


// --> BEGIN including useragents ---------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_displayres'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/displayres.lib.php"))
{
	die("can not load lib displayres");
}
// <-- END including useragents -----------------------------------------------------------------------------------------------------------


// --> BEGIN including useragents ---------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_dayaccess'] = include("".$_AMVconfig['cfg_serverpath']."/lib/overview/dayaccess.lib.php"))
{
	die("can not load lib dayaccess");
}
// <-- END including useragents -----------------------------------------------------------------------------------------------------------


$AMV_stats_overview_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-overview.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------


	// --> BEGIN values ---------------------------------------------------------------------------------------------------------------
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_summary',    "".$AMV_FILE_stats_overview_summary."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_records',    "".$AMV_FILE_stats_overview_records."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_pageview',   "".$AMV_FILE_stats_overview_pageview."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_referer',    "".$AMV_FILE_stats_overview_referer."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_useragents', "".$AMV_FILE_stats_overview_useragents."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_browseros',  "".$AMV_FILE_stats_overview_browseros."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_language',   "".$AMV_FILE_stats_overview_language."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_displayres', "".$AMV_FILE_stats_overview_displayres."");
	$AMV_stats_overview_tpl -> AMT_assign('AMV_FILE_stats_overview_dayaccess',  "".$AMV_FILE_stats_overview_dayaccess."");
	// <-- END values -----------------------------------------------------------------------------------------------------------------
	

$AMV_stats_content = $AMV_stats_overview_tpl -> AMT_tpl_var();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------
?>